HEADER
; IDL Visual Widget Builder Resource file. Version 1
; Generated on:	01/12/2017 23:16.38
VERSION 1
END

WID_BASE BASE 5 5 1100 700
REALIZE "MSP_PPOL_Realize"
ONPOSTCREATE "MSP_PPOL_PostCreation"
TAB_MODE = 1
TLB
CAPTION "MSP_PPOL (Mimir Software Package - Photometry/Polarimetry Package)"
XPAD = 3
YPAD = 3
SPACE = 3
BEGIN
  Base_Text_Box TEXT 4 562 937 102
  SCROLL
  NONEWLINE
  WRAP
  WIDTH = 20
  HEIGHT = 1
  END
  Base_Exit_Button PUSHBUTTON 973 611 110 40
  VALUE "Exit"
  ALIGNCENTER
  ONACTIVATE "Base_Exit_Button_Press"
  END
  WID_TAB_BASE TAB -5 1 1089 560
  ONTABCHANGE "Tab_Handler"
  BEGIN
    Tab_0 BASE 0 0 1081 534
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step 0: Summary"
    BEGIN
      Step_0_Summary_Text_Box TEXT 8 20 588 359
      SCROLL
      NONEWLINE
      WRAP
      WIDTH = 20
      HEIGHT = 1
      END
      WID_LABEL_47 LABEL 669 54 0 0
      VALUE "A. Create New or Open Existing Analysis Directory"
      ALIGNLEFT
      END
      Step_0_Create_New_Button PUSHBUTTON 718 87 0 0
      VALUE "Create New"
      ALIGNCENTER
      ONACTIVATE "Step_0_Handler"
      END
      Step_0_Open_Existing_Button PUSHBUTTON 840 86 0 0
      VALUE "Open Existing"
      ALIGNCENTER
      ONACTIVATE "Step_0_Handler"
      END
      Step_0_Group_Count_Text_Box TEXT 705 206 0 0
      WIDTH = 5
      HEIGHT = 1
      END
      Step_0_Meta_Group_Count_Text_Box TEXT 705 245 0 0
      WIDTH = 5
      HEIGHT = 1
      END
      WID_LABEL_48 LABEL 677 175 0 0
      VALUE "B. Review of Directory Contents"
      ALIGNLEFT
      END
      WID_LABEL_49 LABEL 762 208 0 0
      VALUE "Groups of Images (Fields)"
      ALIGNLEFT
      END
      WID_LABEL_50 LABEL 763 248 0 0
      VALUE "Meta-Groups (Multiple Obs. Fields)"
      ALIGNLEFT
      END
    END
    Tab_1 BASE 0 0 1081 534
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step 1: Select Images, Groups"
    BEGIN
      Step_1_Label_0 LABEL 52 16 0 0
      VALUE "Manage Groups of Images to be processed together"
      ALIGNLEFT
      END
      WID_LABEL_0 LABEL 347 46 0 0
      VALUE "A. Manage Groups of Images"
      ALIGNLEFT
      END
      Step_1_Create_New_Group_Button PUSHBUTTON 366 77 0 0
      VALUE "Create New Group(s)"
      ALIGNCENTER
      ONACTIVATE "Step_1_Handler"
      END
      Step_1_Remove_Group_Button PUSHBUTTON 371 112 0 0
      VALUE "Remove Group(s)"
      ALIGNCENTER
      ONACTIVATE "Step_1_Handler"
      END
      Step_1_Group_Summary_Listbox LIST 17 86 297 221
      FRAME = 1
      MULTIPLE
      ONSELECT "Step_1_Handler"
      WIDTH = 11
      HEIGHT = 2
      END
      WID_LABEL_2 LABEL 72 65 0 0
      VALUE "Step Completed, and Meta-Group Number"
      ALIGNLEFT
      END
      Step_1_Change_Group_Status_Button PUSHBUTTON 337 262 0 0
      VALUE "Change Group Completion Step"
      ALIGNCENTER
      ONACTIVATE "Step_1_Handler"
      END
      Step_1_Edit_Image_List_Button PUSHBUTTON 351 147 0 0
      VALUE "Edit Image List for a Group"
      ALIGNCENTER
      ONACTIVATE "Step_1_Handler"
      END
      WID_LABEL_6 LABEL 99 45 0 0
      VALUE "Summary of Groups, Processing"
      ALIGNLEFT
      END
      Step_1_Remove_Meta_Group_Button PUSHBUTTON 352 374 0 0
      VALUE "Remove Meta-Group Flag"
      ALIGNCENTER
      ONACTIVATE "Step_1_Handler"
      END
      WID_LABEL_40 LABEL 130 324 0 0
      VALUE "Meta-Groups"
      ALIGNLEFT
      END
      Step_1_Meta_Group_Listbox LIST 17 347 296 72
      FRAME = 1
      MULTIPLE
      ONSELECT "Step_1_Handler"
      WIDTH = 11
      HEIGHT = 2
      END
      Step_1_Step_Number_Textbox TEXT 344 295 0 0
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "Step_1_Handler"
      ONINSERTSTRING "Step_1_Handler"
      ONDELETE "Step_1_Handler"
      WIDTH = 5
      HEIGHT = 1
      END
      WID_LABEL_90 LABEL 399 300 0 0
      VALUE "Step Number"
      ALIGNLEFT
      END
      Step_1_Rename_Group_Button PUSHBUTTON 370 181 0 0
      VALUE "Rename a Group"
      ALIGNCENTER
      ONACTIVATE "Step_1_Handler"
      END
      Step_1_Tab_Base TAB 541 15 532 427
      ONTABCHANGE "Step_1_Tab_Handler"
      BEGIN
        Step_1A_Create_Groups_Tab BASE 0 0 524 401
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Create New Group(s)"
        BEGIN
          Step_1A_Tab_Base TAB 26 49 481 336
          ONTABCHANGE "Step_1A_Tab_Handler"
          BEGIN
            Step_1A_1_Single_Group_Tab BASE 0 0 473 310
            XPAD = 3
            YPAD = 3
            SPACE = 3
            CAPTION "Create Single Group"
            BEGIN
              WID_LABEL_81 LABEL 48 177 0 0
              VALUE "To Change Name, Delete Contents, Type New Name, hit Enter"
              END
              Step_1_Label_4 LABEL 246 143 0 0
              VALUE "Current Group Name"
              ALIGNLEFT
              END
              Step_1A_1_One_Group_File_Chooser_Button PUSHBUTTON 57 64 0 0
              VALUE "Select Images for one Group"
              ALIGNCENTER
              ONACTIVATE "Step_1_Handler"
              END
              Step_1A_1_Save_Group_Button PUSHBUTTON 56 245 0 0
              VALUE "Save This Group"
              ALIGNCENTER
              ONACTIVATE "Step_1_Handler"
              END
              WID_LABEL_80 LABEL 26 222 0 0
              VALUE "3. Save Group"
              ALIGNLEFT
              END
              Step_1_Label_2 LABEL 28 113 0 0
              VALUE "2. Use (or Change) a Group name"
              ALIGNLEFT
              END
              Step_1A_1_Group_Name_Textbox TEXT 57 138 0 0
              EDITABLE
              ALLEVENTS
              ONINSERTCHAR "Step_1_Handler"
              ONINSERTSTRING "Step_1_Handler"
              ONDELETE "Step_1_Handler"
              WIDTH = 20
              HEIGHT = 1
              END
              WID_LABEL_3 LABEL 27 33 0 0
              VALUE "1. Launch File Chooser and Select Images"
              ALIGNLEFT
              END
            END
            Step_1A_2_Multiple_Groups_Tab BASE 0 0 473 310
            XPAD = 3
            YPAD = 3
            SPACE = 3
            CAPTION "Create Many Groups (e.g., full night)"
            BEGIN
              WID_LABEL_4 LABEL 228 66 0 0
              VALUE "B. Launch File Chooser, Select Images"
              ALIGNLEFT
              END
              Step_1A_2_Multiple_Group_File_Chooser_Button PUSHBUTTON 247 116 0 0
              VALUE "Selective Read of Images"
              ALIGNCENTER
              ONACTIVATE "Step_1_Handler"
              END
              WID_LABEL_101 LABEL 112 166 0 0
              VALUE "2. Collect common Images into new Groups"
              ALIGNLEFT
              END
              Step_1A_2_Start_Multiple_Group_Creation_Button PUSHBUTTON 147 192 0 0
              VALUE "Collect Images into New Groups"
              ALIGNCENTER
              ONACTIVATE "Step_1_Handler"
              END
              WID_LABEL_121 LABEL 70 25 0 0
              VALUE "1. Select Full Directory Read (A) -or- Selective Image Read (B)"
              ALIGNLEFT
              END
              WID_LABEL_122 LABEL 216 89 0 0
              VALUE "NOTE: Must be fewer than 1,000 images"
              ALIGNLEFT
              END
              WID_LABEL_123 LABEL 14 65 0 0
              VALUE "A. Read all images in a directory"
              ALIGNLEFT
              END
              Step_1A_2_Read_Directory_Button PUSHBUTTON 19 117 0 0
              VALUE "Read All Images in a Directory"
              ALIGNCENTER
              ONACTIVATE "Step_1_Handler"
              END
            END
          END
          WID_LABEL_100 LABEL 27 17 0 0
          VALUE "Select Tab to Create a new Single Group or Many Groups"
          ALIGNLEFT
          END
        END
        Step_1B_Edit_Groups_Tab BASE 0 0 524 401
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Edit Image List for a Group"
        BEGIN
          Step_1B_Add_Images_To_List_Button PUSHBUTTON 40 149 0 0
          VALUE "Add Images to this Group"
          ALIGNCENTER
          ONACTIVATE "Step_1_Handler"
          END
          WID_LABEL_5 LABEL 333 10 0 0
          VALUE "Images in this Group"
          ALIGNLEFT
          END
          WID_LABEL_1 LABEL 19 122 0 0
          VALUE "1. Add Images to this Group"
          ALIGNLEFT
          END
          WID_LABEL_111 LABEL 21 191 0 0
          VALUE "2. Modify Images in this Group"
          ALIGNLEFT
          END
          Step_1B_Image_Listbox LIST 243 29 272 358
          FRAME = 1
          MULTIPLE
          ONSELECT "Step_1_Handler"
          WIDTH = 11
          HEIGHT = 2
          END
          WID_LABEL_115 LABEL 38 219 0 0
          VALUE "A. Select Images in Window"
          ALIGNLEFT
          END
          Step_1B_Remove_Images_Button PUSHBUTTON 49 329 0 0
          VALUE "Remove Selected Images"
          ALIGNCENTER
          ONACTIVATE "Step_1_Handler"
          END
          Step_1B_Use_Flag_Zero_Button PUSHBUTTON 66 290 0 0
          VALUE "Set USE flag = 0"
          ALIGNCENTER
          ONACTIVATE "Step_1_Handler"
          END
          Step_1B_Use_Zero_Count_Textbox TEXT 115 68 0 0
          WIDTH = 6
          HEIGHT = 1
          END
          WID_LABEL_119 LABEL 37 71 0 0
          VALUE "N (USE=0)"
          ALIGNLEFT
          END
          Step_1B_Image_Count_Textbox TEXT 111 31 0 0
          WIDTH = 7
          HEIGHT = 1
          END
          WID_LABEL_174 LABEL 29 34 0 0
          VALUE "Image Count"
          ALIGNLEFT
          END
          WID_LABEL_175 LABEL 41 257 0 0
          VALUE "B. Choose Action to Perform"
          ALIGNLEFT
          END
        END
        Step_1C_Rename_Group_Tab BASE 0 0 524 401
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Rename a Group"
        BEGIN
          Step_1C_Group_Name_Textbox TEXT 31 87 0 0
          EDITABLE
          ALLEVENTS
          ONINSERTCHAR "Step_1_Handler"
          ONINSERTSTRING "Step_1_Handler"
          ONDELETE "Step_1_Handler"
          WIDTH = 20
          HEIGHT = 1
          END
          Step_1_Label_3 LABEL 27 41 0 0
          VALUE "Change a Group name"
          ALIGNLEFT
          END
          Step_1_Label_5 LABEL 220 92 0 0
          VALUE "Current Group Name"
          ALIGNLEFT
          END
          WID_LABEL_120 LABEL 27 147 0 0
          VALUE "To Change Name, Delete Contents, Type New Name, hit Enter"
          END
        END
      END
      Step_1_Clear_Image_Flags_Button PUSHBUTTON 358 215 0 0
      VALUE "Reset Image Use Flags"
      ALIGNCENTER
      ONACTIVATE "Step_1_Handler"
      END
    END
    Tab_2 BASE 0 0 1081 534
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step 2: Ski Jump Fixes"
    BEGIN
      WID_LABEL_7 LABEL 28 31 0 0
      VALUE "Identify Groups of Images to Test for Anomalous Ski Jumps and to Fix"
      ALIGNLEFT
      END
      Step_2_Group_List_Listbox LIST 42 96 361 246
      FRAME = 1
      MULTIPLE
      ONSELECT "Step_2_Handler"
      WIDTH = 11
      HEIGHT = 2
      END
      WID_LABEL_8 LABEL 29 69 0 0
      VALUE "A. Select Groups to Enqueue for Ski Jump Testing and Repair"
      ALIGNLEFT
      END
      Step_2_Start_Ski_Jump_Button PUSHBUTTON 423 387 0 0
      VALUE "Start Ski Jump Test, Repair"
      ALIGNCENTER
      ONACTIVATE "Step_2_Handler"
      END
      Step_2_LED2_Draw_Window DRAW 433 276 615 24
      END
      Step_2_LED1_Draw_Window DRAW 433 208 614 25
      END
      WID_LABEL_9 LABEL 676 239 0 0
      VALUE "Progress on Images in Group"
      ALIGNLEFT
      END
      WID_LABEL_10 LABEL 686 310 0 0
      VALUE "Progress on Groups"
      ALIGNLEFT
      END
      WID_LABEL_12 LABEL 430 100 0 0
      VALUE "Select Groups"
      ALIGNLEFT
      END
      WID_LABEL_13 LABEL 426 360 0 0
      VALUE "C. Start Ski Jump Testing and Fixing"
      ALIGNLEFT
      END
      Step_2_Ski_Jump_Count_Textbox TEXT 649 341 0 0
      WIDTH = 8
      HEIGHT = 1
      END
      WID_LABEL_82 LABEL 715 343 0 0
      VALUE "Number of Ski Jump Images Detected and Repaired"
      ALIGNLEFT
      END
      Step_2_Add_To_Queue_Button PUSHBUTTON 27 387 0 0
      VALUE "Add Group(s) to Queue"
      ALIGNCENTER
      ONACTIVATE "Step_2_Handler"
      END
      Step_2_Remove_From_Queue_Button PUSHBUTTON 182 387 0 0
      VALUE "Remove Group(s) from Queue (Skip)"
      ALIGNCENTER
      ONACTIVATE "Step_2_Handler"
      END
      WID_LABEL_83 LABEL 28 365 0 0
      VALUE "B. Select Queuing Action (Add, Delete Groups)"
      ALIGNLEFT
      END
      Step_2_Options_Base BASE 526 15 543 173
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        WID_LABEL_84 LABEL 11 15 0 0
        VALUE "Ski Jump Detection and Repair Options"
        ALIGNLEFT
        END
        WID_BASE_1 BASE 26 37 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_2_Detection_Normal_Radio_Button PUSHBUTTON -1 -1 0 0
          VALUE "Lower Detection Threshold (4 sigma)"
          ALIGNLEFT
          ONACTIVATE "Step_2_Handler"
          END
        END
        WID_BASE_3 BASE 26 68 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_2_Detection_Low_Radio_Button PUSHBUTTON -1 -1 0 0
          VALUE "Normal Detection Threshold (6 sigma)"
          ALIGNLEFT
          ONACTIVATE "Step_2_Handler"
          END
        END
        WID_BASE_4 BASE 26 100 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_2_Detection_High_Radio_Button PUSHBUTTON -1 -1 0 0
          VALUE "Higher Detection Threshold (25 sigma)"
          ALIGNLEFT
          ONACTIVATE "Step_2_Handler"
          END
        END
        WID_BASE_5 BASE 274 40 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_2_Repair_Normal_Radio_Button PUSHBUTTON -1 -1 0 0
          VALUE "Normal Repair by Subtraction"
          ALIGNLEFT
          ONACTIVATE "Step_2_Handler"
          END
        END
        WID_BASE_6 BASE 274 70 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_2_Repair_Divide_Radio_Button PUSHBUTTON -1 -1 0 0
          VALUE "Repair by Division by Ski Jump Model"
          ALIGNLEFT
          ONACTIVATE "Step_2_Handler"
          END
        END
        WID_BASE_12 BASE 274 100 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_2_Save_Model_Button PUSHBUTTON -1 -1 0 0
          VALUE "Save Background Model Image"
          ALIGNLEFT
          ONACTIVATE "Step_2_Handler"
          END
        END
        WID_BASE_44 BASE 54 140 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_2_Extended_Mode_Button PUSHBUTTON -1 -1 0 0
          VALUE "Extended Object Field (limited Ski Jump Repair - NOT for GPIPS)"
          ALIGNLEFT
          ONACTIVATE "Step_2_Handler"
          END
        END
      END
      Step_2_Clear_History_Button PUSHBUTTON 993 387 0 0
      VALUE "Clear History"
      ALIGNCENTER
      ONACTIVATE "Step_2_Handler"
      END
      Step_2_History_Textbox TEXT 647 376 334 61
      SCROLL
      NONEWLINE
      WRAP
      WIDTH = 20
      HEIGHT = 1
      END
    END
    Tab_3 BASE 0 0 1081 534
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step 3: Astrometry"
    BEGIN
      WID_LABEL_11 LABEL 15 7 0 0
      VALUE "Run Astrometry Routine on each Image in Selected Groups"
      ALIGNLEFT
      END
      WID_LABEL_14 LABEL 33 299 0 0
      VALUE "C. Start Astrometry"
      ALIGNLEFT
      END
      WID_LABEL_16 LABEL 675 290 0 0
      VALUE "Progress on Groups"
      ALIGNLEFT
      END
      WID_LABEL_17 LABEL 663 234 0 0
      VALUE "Progress on Images in Group"
      ALIGNLEFT
      END
      Step_3_LED1_Draw_Window DRAW 416 203 631 25
      END
      Step_3_LED2_Draw_Window DRAW 418 260 631 24
      END
      Step_3_Start_Astrometry_Button PUSHBUTTON 33 323 0 0
      VALUE "Start Astrometry"
      ALIGNCENTER
      ONACTIVATE "Step_3_Handler"
      END
      WID_LABEL_18 LABEL 388 29 0 0
      VALUE "A. Select Groups for Astrometry"
      ALIGNLEFT
      END
      Step_3_Select_Groups_Listbox LIST 32 29 334 259
      FRAME = 1
      MULTIPLE
      ONSELECT "Step_3_Handler"
      WIDTH = 11
      HEIGHT = 2
      END
      Step_3_Options_Base BASE 689 13 343 182
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        WID_LABEL_78 LABEL 18 8 0 0
        VALUE "Options"
        ALIGNLEFT
        END
        WID_BASE_29 BASE 21 31 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_3_F5_Camera_Radio_Button PUSHBUTTON -1 -1 0 0
          VALUE "F/5 Camera (0.58 arcsec per pixel)"
          ALIGNLEFT
          ONACTIVATE "Step_3_Handler"
          END
        END
        WID_BASE_30 BASE 20 59 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_3_F17_Camera_Radio_Button PUSHBUTTON -1 -1 0 0
          VALUE "F/17 Camera (0.18 arcsec per pixel)"
          ALIGNLEFT
          ONACTIVATE "Step_3_Handler"
          END
        END
        WID_BASE_0 BASE 21 116 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_3_Save_2MASS_Files_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Save 2MASS Astrometry Files"
          ALIGNLEFT
          ONACTIVATE "Step_3_Handler"
          END
        END
        WID_BASE_32 BASE 21 87 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_3_Defocussed_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Defocussed (Cal.) Images"
          ALIGNLEFT
          ONACTIVATE "Step_3_Handler"
          END
        END
        WID_BASE_48 BASE 21 146 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_3_Flatten_Backgrounds_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Flatten/Model All Backgrounds (Normal = Yes)"
          ALIGNLEFT
          ONACTIVATE "Step_3_Handler"
          END
        END
      END
      Step_3_Add_Group_To_Queue_Button PUSHBUTTON 413 104 0 0
      VALUE "Add Group(s) to Queue"
      ALIGNCENTER
      ONACTIVATE "Step_3_Handler"
      END
      Step_3_Remove_From_Queue_Button PUSHBUTTON 410 145 0 0
      VALUE "Remove Group(s) from Queue"
      ALIGNCENTER
      ONACTIVATE "Step_3_Handler"
      END
      WID_LABEL_85 LABEL 387 73 0 0
      VALUE "B. Add or Remove Groups from Queue"
      ALIGNLEFT
      END
      Step_3_Bad_Astrometry_Count_Textbox TEXT 142 324 0 0
      WIDTH = 8
      HEIGHT = 1
      END
      WID_LABEL_45 LABEL 211 326 0 0
      VALUE "Images Failing Astrometry"
      ALIGNLEFT
      END
      Step_3_Clear_History_Button PUSHBUTTON 975 412 0 0
      VALUE "Clear History"
      ALIGNCENTER
      ONACTIVATE "Step_3_Handler"
      END
      Step_3_Test_Astrometry_Button PUSHBUTTON 30 385 0 0
      VALUE "Test Astrometry Quality"
      ALIGNCENTER
      ONACTIVATE "Step_3_Handler"
      END
      WID_LABEL_92 LABEL 29 362 0 0
      VALUE "D. Test Quality Afterwards"
      ALIGNLEFT
      END
      Step_3_History_Textbox TEXT 590 314 458 85
      SCROLL
      NONEWLINE
      WRAP
      WIDTH = 20
      HEIGHT = 1
      END
      Step_3_SN_Textbox TEXT 179 386 0 0
      WIDTH = 9
      HEIGHT = 1
      END
      WID_LABEL_54 LABEL 171 362 0 0
      VALUE "Platescale S/N"
      ALIGNLEFT
      END
      Step_3_Group_Name_Textbox TEXT 323 352 0 0
      WIDTH = 40
      HEIGHT = 1
      END
      WID_LABEL_56 LABEL 386 324 0 0
      VALUE "Currently Active Group"
      ALIGNLEFT
      END
    END
    Tab_4 BASE 0 0 1081 534
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step 4: Initial Photometry"
    BEGIN
      Step_4_Select_Groups_Listbox LIST 14 33 398 220
      FRAME = 1
      MULTIPLE
      ONSELECT "Step_4_Handler"
      WIDTH = 11
      HEIGHT = 2
      END
      WID_LABEL_19 LABEL 435 41 0 0
      VALUE "A. Select Groups for PSF Fitting"
      ALIGNLEFT
      END
      Step_4_Start_PSF_Fitting_Button PUSHBUTTON 470 204 0 0
      VALUE "Start PSF Fitting"
      ALIGNCENTER
      ONACTIVATE "Step_4_Handler"
      END
      Step_4_LED2_Draw_Window DRAW 371 353 666 24
      END
      Step_4_LED1_Draw_Window DRAW 371 294 667 25
      END
      WID_LABEL_20 LABEL 639 268 0 0
      VALUE "Progress on Images in Group"
      ALIGNLEFT
      END
      WID_LABEL_21 LABEL 666 329 0 0
      VALUE "Progress on Groups"
      ALIGNLEFT
      END
      WID_LABEL_23 LABEL 472 168 0 0
      VALUE "B. Start PSF fitting"
      ALIGNLEFT
      END
      WID_LABEL_24 LABEL 13 11 0 0
      VALUE "Perform PSF Fitting Photometry on each Image in Selected Groups"
      ALIGNLEFT
      END
      Step_4_Group_Textbox TEXT 50 291 0 0
      WIDTH = 8
      HEIGHT = 1
      END
      WID_LABEL_28 LABEL 123 293 0 0
      VALUE "Group"
      ALIGNLEFT
      END
      Step_4_Image_Textbox TEXT 51 329 0 0
      WIDTH = 32
      HEIGHT = 1
      END
      WID_LABEL_29 LABEL 269 332 0 0
      VALUE "Image"
      ALIGNLEFT
      END
      Step_4_NStars_Textbox TEXT 50 365 0 0
      WIDTH = 8
      HEIGHT = 1
      END
      WID_LABEL_30 LABEL 124 368 0 0
      VALUE "N_Stars"
      ALIGNLEFT
      END
      Step_4_Options_Base BASE 635 20 417 238
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        WID_LABEL_27 LABEL 105 74 0 0
        VALUE "NG = Number of Row, Column zones (normal=1)"
        ALIGNLEFT
        END
        Step_4_NG_Textbox TEXT 39 70 0 0
        EDITABLE
        ALLEVENTS
        ONINSERTCHAR "Step_4_Handler"
        ONINSERTSTRING "Step_4_Handler"
        ONDELETE "Step_4_Handler"
        WIDTH = 8
        HEIGHT = 1
        END
        WID_LABEL_26 LABEL 102 40 0 0
        VALUE "NSIG = Star Detection Significance Cut (normal = 7.0)"
        ALIGNLEFT
        END
        Step_4_NSIG_Textbox TEXT 37 37 0 0
        EDITABLE
        ALLEVENTS
        ONINSERTCHAR "Step_4_Handler"
        ONINSERTSTRING "Step_4_Handler"
        ONDELETE "Step_4_Handler"
        WIDTH = 8
        HEIGHT = 1
        END
        WID_LABEL_25 LABEL 18 11 0 0
        VALUE "PSF Fitting Parameter Options"
        ALIGNLEFT
        END
        Step_4_Saturation_Textbox TEXT 40 106 0 0
        EDITABLE
        ALLEVENTS
        ONINSERTCHAR "Step_4_Handler"
        ONINSERTSTRING "Step_4_Handler"
        ONDELETE "Step_4_Handler"
        WIDTH = 10
        HEIGHT = 1
        END
        WID_LABEL_79 LABEL 117 109 0 0
        VALUE "SAT_COUNT - Saturation Count Limit (normal=11,000)"
        ALIGNLEFT
        END
        WID_BASE_20 BASE 36 174 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_4_Fix_Bad_Pixels_Button PUSHBUTTON -1 -1 0 0
          VALUE "Fix Bad Pixels (Normal = No - already done)"
          ALIGNLEFT
          ONACTIVATE "Step_4_Handler"
          END
        END
        WID_LABEL_127 LABEL 20 149 0 0
        VALUE "Image Cleaning, Background Flattening"
        ALIGNLEFT
        END
        WID_BASE_22 BASE 37 203 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_4_Flatten_Image_Button PUSHBUTTON -1 -1 0 0
          VALUE "Flatten Background (Normal = No - already done)"
          ALIGNLEFT
          ONACTIVATE "Step_4_Handler"
          END
        END
      END
      Step_4_Add_Group_To_Queue_Button PUSHBUTTON 453 73 0 0
      VALUE "Add Group(s) to Queue"
      ALIGNCENTER
      ONACTIVATE "Step_4_Handler"
      END
      Step_4_Remove_From_Queue_Button PUSHBUTTON 444 119 0 0
      VALUE "Remove Group(s) From Queue"
      ALIGNCENTER
      ONACTIVATE "Step_4_Handler"
      END
      Step_4_Clear_History_Button PUSHBUTTON 933 430 0 0
      VALUE "Clear History"
      ALIGNCENTER
      ONACTIVATE "Step_4_Handler"
      END
      WID_LABEL_93 LABEL 908 395 0 0
      VALUE "Problem List & History"
      ALIGNLEFT
      END
      Step_4_History_Textbox TEXT 375 393 503 61
      SCROLL
      NONEWLINE
      WRAP
      WIDTH = 20
      HEIGHT = 1
      END
    END
    Tab_5 BASE 0 0 1081 534
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step 5: Matching"
    BEGIN
      Step_5_Select_Groups_Listbox LIST 12 36 327 279
      FRAME = 1
      MULTIPLE
      ONSELECT "Step_5_Handler"
      WIDTH = 11
      HEIGHT = 2
      END
      WID_LABEL_31 LABEL 14 327 0 0
      VALUE "A. Select Groups for Stellar Matching"
      ALIGNLEFT
      END
      Step_5_Start_Matching_Button PUSHBUTTON 273 369 0 0
      VALUE "Start Matching"
      ALIGNCENTER
      ONACTIVATE "Step_5_Handler"
      END
      Step_5_LED2_Draw_Window DRAW 604 315 452 22
      END
      Step_5_LED1_Draw_Window DRAW 604 266 451 22
      END
      WID_LABEL_32 LABEL 780 241 0 0
      VALUE "Progress on Images in Group"
      ALIGNLEFT
      END
      WID_LABEL_33 LABEL 808 296 0 0
      VALUE "Progress on Groups"
      ALIGNLEFT
      END
      WID_LABEL_35 LABEL 252 331 0 0
      VALUE "B. Start Matching"
      ALIGNLEFT
      END
      WID_LABEL_36 LABEL 12 12 0 0
      VALUE "Match stars in groups to stars in first group image"
      ALIGNLEFT
      END
      Step_5_RA_Offsets_Draw_Window DRAW 602 26 225 200
      END
      Step_5_Dec_Offsets_Draw_Window DRAW 839 25 225 202
      END
      WID_LABEL_37 LABEL 679 6 0 0
      VALUE "RA Match Offsets"
      ALIGNLEFT
      END
      WID_LABEL_38 LABEL 916 6 0 0
      VALUE "Dec Match Offsets"
      ALIGNLEFT
      END
      Step_5_Add_Group_To_Queue_Button PUSHBUTTON 43 354 0 0
      VALUE "Add Group(s) to Queue"
      ALIGNCENTER
      ONACTIVATE "Step_5_Handler"
      END
      Step_5_Remove_From_Queue_Button PUSHBUTTON 29 389 0 0
      VALUE "Remove Group(s) from Queue"
      ALIGNCENTER
      ONACTIVATE "Step_5_Handler"
      END
      Step_5_Nbad_Textbox TEXT 406 236 0 0
      WIDTH = 6
      HEIGHT = 1
      END
      WID_LABEL_91 LABEL 459 238 0 0
      VALUE "Number of Match Failures"
      ALIGNLEFT
      END
      Step_5_Clear_History_Button PUSHBUTTON 962 393 0 0
      VALUE "Clear History"
      ALIGNCENTER
      ONACTIVATE "Step_5_Handler"
      END
      Step_5_Mag_Offsets_Draw_Window DRAW 363 26 225 199
      END
      Step_5_History_Textbox TEXT 603 358 334 61
      SCROLL
      NONEWLINE
      WRAP
      WIDTH = 20
      HEIGHT = 1
      END
      Step_5_Textbox_Mean_Matches TEXT 354 265 0 0
      WIDTH = 15
      HEIGHT = 1
      END
      Step_5_Textbox_Mean_RMS_dMag TEXT 355 296 0 0
      WIDTH = 15
      HEIGHT = 1
      END
      WID_LABEL_134 LABEL 461 268 0 0
      VALUE "Number of stars matched"
      ALIGNLEFT
      END
      WID_LABEL_135 LABEL 461 299 0 0
      VALUE "RMS diff mag (milli-mag)"
      ALIGNLEFT
      END
      WID_LABEL_15 LABEL 413 7 0 0
      VALUE "Magnitude Match Offsets"
      ALIGNLEFT
      END
    END
    Tab_6 BASE 0 0 1081 534
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step 6: Atm. Scaling"
    BEGIN
      WID_LABEL_39 LABEL 18 8 0 0
      VALUE "Atmospheric Scaling Identifies and Removes Transmission Fluctuations for Single Groups and (optionally) for Linked (Meta) Groups"
      ALIGNLEFT
      END
      Step_6_Tab_Base TAB 8 25 1055 427
      ONTABCHANGE "Step_6_Tab_Handler"
      BEGIN
        Step_6A_Single_Group_Scaling_Tab BASE 0 0 1047 401
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Single-Group Scaling (Do this first)"
        BEGIN
          WID_LABEL_98 LABEL 69 361 0 0
          VALUE "Group Progress Indicator"
          ALIGNLEFT
          END
          Step_6A_LED0_Group DRAW 37 329 173 22
          END
          Step_6A_Remove_From_Queue_Button PUSHBUTTON 47 231 0 0
          VALUE "Remove Group(s) from Queue"
          ALIGNCENTER
          ONACTIVATE "Step_6_Handler"
          END
          Step_6A_Add_Group_To_Queue_Button PUSHBUTTON 65 199 0 0
          VALUE "Add Group(s) to Queue"
          ALIGNCENTER
          ONACTIVATE "Step_6_Handler"
          END
          Step_6A_Perform_Single_Group_Scaling_Button PUSHBUTTON 54 294 0 0
          VALUE "Start Single Group Scaling"
          ALIGNCENTER
          ONACTIVATE "Step_6_Handler"
          END
          Step_6A_Select_Groups_Listbox LIST 10 31 255 156
          FRAME = 1
          MULTIPLE
          ONSELECT "Step_6_Handler"
          WIDTH = 11
          HEIGHT = 2
          END
          WID_LABEL_41 LABEL 19 10 0 0
          VALUE "A. Select Group(s) For Scaling"
          ALIGNLEFT
          END
          WID_LABEL_86 LABEL 18 269 0 0
          VALUE "B. Start Group Scaling Process"
          ALIGNLEFT
          END
          Step_6A_Plot_Window DRAW 458 13 560 286
          END
          Step_6A_Group_Name_Textbox TEXT 468 315 0 0
          WIDTH = 20
          HEIGHT = 1
          END
          Step_6A_Field_Pol_Textbox TEXT 695 314 0 0
          WIDTH = 20
          HEIGHT = 1
          END
          Step_6A_Sky_Noise_Textbox TEXT 838 314 0 0
          WIDTH = 10
          HEIGHT = 1
          END
          Step_6A_Bad_Image_Count_Textbox TEXT 931 315 0 0
          WIDTH = 10
          HEIGHT = 1
          END
          WID_LABEL_99 LABEL 484 343 0 0
          VALUE "Current Group Name"
          ALIGNLEFT
          END
          WID_LABEL_124 LABEL 689 345 0 0
          VALUE "Fitted Field Polarization (%)"
          ALIGNLEFT
          END
          WID_LABEL_125 LABEL 841 344 0 0
          VALUE "Sky Noise (%)"
          ALIGNLEFT
          END
          WID_LABEL_126 LABEL 929 344 0 0
          VALUE "No. Bad Images"
          ALIGNLEFT
          END
          Step_6A_Sky_Plot_Window DRAW 279 12 164 161
          END
          Step_6A_FP_Plot_Window DRAW 279 205 164 161
          END
          Step_6A_Aper_No_Textbox TEXT 626 315 0 0
          ALLEVENTS
          WIDTH = 5
          HEIGHT = 1
          END
          WID_LABEL_131 LABEL 618 344 0 0
          VALUE "Aper No."
          ALIGNLEFT
          END
          WID_LABEL_132 LABEL 313 179 0 0
          VALUE "Sky Noise vs Aper"
          ALIGNLEFT
          END
          WID_LABEL_133 LABEL 319 372 0 0
          VALUE "FP_uncer. vs Aper"
          ALIGNLEFT
          END
        END
        Step_6B_Build_MetaGroups_Tab BASE 0 0 1047 401
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Build Meta (Multi-linked) Groups (optional)"
        BEGIN
          Step_6B_Remove_Group_From_Meta_Group_Button PUSHBUTTON 356 155 0 0
          VALUE "Remove Group from Meta-Group"
          ALIGNCENTER
          ONACTIVATE "Step_6_Handler"
          END
          Step_6B_Add_Group_To_Meta_Group_Button PUSHBUTTON 368 113 0 0
          VALUE "Add Group to Meta-Group"
          ALIGNCENTER
          ONACTIVATE "Step_6_Handler"
          END
          Step_6B_Name_Meta_Group_Textbox TEXT 651 75 0 0
          EDITABLE
          ALLEVENTS
          ONINSERTCHAR "Step_6_Handler"
          WIDTH = 20
          HEIGHT = 1
          END
          WID_LABEL_102 LABEL 626 45 0 0
          VALUE "B. Select/Edit Name of the Meta-Group"
          ALIGNLEFT
          END
          Step_6B_Groups_To_Meta_Group_Listbox LIST 19 76 306 277
          FRAME = 1
          MULTIPLE
          ONSELECT "Step_6_Handler"
          WIDTH = 11
          HEIGHT = 2
          END
          WID_LABEL_104 LABEL 335 77 0 0
          VALUE "A. Select the Groups to be linked as one Meta-Group"
          ALIGNLEFT
          END
          WID_LABEL_105 LABEL 24 53 0 0
          VALUE "Groups may be linked into Meta-Groups using tools on this tab page"
          ALIGNLEFT
          END
          WID_LABEL_106 LABEL 646 111 0 0
          VALUE "Type Name for Meta-group, then hit Enter"
          ALIGNLEFT
          END
          Step_6B_MetaGroup_Listbox LIST 630 166 305 175
          FRAME = 1
          MULTIPLE
          ONSELECT "Step_6_Handler"
          WIDTH = 11
          HEIGHT = 2
          END
          WID_LABEL_107 LABEL 649 356 0 0
          VALUE "Current list of Meta-Groups"
          ALIGNLEFT
          END
          Step_6B_Remove_MetaGroup_Button PUSHBUTTON 824 355 0 0
          VALUE "Remove Selected Meta-Group from List"
          ALIGNCENTER
          ONACTIVATE "Step_6_Handler"
          END
          WID_LABEL_103 LABEL 18 26 0 0
          VALUE "NOTE: Process all groups through Step 7 (Image Combining) before linking into Meta-Groups"
          FRAME = 1
          ALIGNLEFT
          END
        END
        Step_6C_MetaGroup_Matching_Tab BASE 0 0 1047 401
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Meta-Group Matching (Optional)"
        BEGIN
          WID_LABEL_109 LABEL 21 17 0 0
          VALUE "A. Select Meta-Groups to Match"
          ALIGNLEFT
          END
          Step_6C_MetaGroup_Listbox LIST 19 39 295 166
          FRAME = 1
          MULTIPLE
          ONSELECT "Step_6_Handler"
          WIDTH = 11
          HEIGHT = 2
          END
          Step_6C_Add_MetaGroups_to_Queue_Button PUSHBUTTON 60 218 0 0
          VALUE "Add Selected Meta-Groups to Queue"
          ALIGNCENTER
          ONACTIVATE "Step_6_Handler"
          END
          Step_6C_Remove_MetaGroups_from_Queue_Button PUSHBUTTON 42 250 0 0
          VALUE "Remove Selected Meta-Groups from Queue"
          ALIGNCENTER
          ONACTIVATE "Step_6_Handler"
          END
          Step_6C_LED0_MetaGroup DRAW 809 270 217 23
          END
          WID_LABEL_110 LABEL 850 248 0 0
          VALUE "Meta-Group Progress Indicator"
          ALIGNLEFT
          END
          Step_6C_RA_Draw_Window DRAW 628 14 197 205
          END
          Step_6C_Start_Matching_Button PUSHBUTTON 27 328 0 0
          VALUE "Start Matching Groups w/i Meta-Group"
          ALIGNCENTER
          ONACTIVATE "Step_6_Handler"
          END
          Step_6C_Dec_Draw_Window DRAW 842 14 193 203
          END
          Step_6C_Mag_Draw_Window DRAW 402 16 206 205
          END
          Step_6C_LED1_Group DRAW 564 273 218 23
          END
          WID_LABEL_34 LABEL 623 249 0 0
          VALUE "Group Progress Indicator"
          ALIGNLEFT
          END
          WID_LABEL_136 LABEL 395 314 0 0
          VALUE "RMS difference magnitude (milli-mag)"
          ALIGNLEFT
          END
          WID_LABEL_137 LABEL 395 283 0 0
          VALUE "Number of stars matched"
          ALIGNLEFT
          END
          Step_6C_Textbox_Mean_RMS_dMag TEXT 289 311 0 0
          WIDTH = 15
          HEIGHT = 1
          END
          Step_6C_Textbox_Mean_Matches TEXT 288 280 0 0
          WIDTH = 15
          HEIGHT = 1
          END
          WID_LABEL_138 LABEL 393 253 0 0
          VALUE "Number of Match Failures"
          ALIGNLEFT
          END
          Step_6C_Nbad_Textbox TEXT 340 251 0 0
          WIDTH = 6
          HEIGHT = 1
          END
          WID_LABEL_139 LABEL 16 303 0 0
          VALUE "B. Begin Matching"
          ALIGNLEFT
          END
        END
        Step_6D_MetaGroup_Scaling_Tab BASE 0 0 1047 401
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Meta-Group Scaling (Optional)"
        BEGIN
          WID_LABEL_113 LABEL 565 361 0 0
          VALUE "Total Multiplicative Scale Factor vs Image Number"
          ALIGNLEFT
          END
          Step_6D_Relative_Scales_Draw_Window DRAW 338 19 685 334
          END
          Step_6D_Start_Meta_Group_Scaling_Button PUSHBUTTON 99 301 0 0
          VALUE "Start Meta-Group Scaling"
          ALIGNCENTER
          ONACTIVATE "Step_6_Handler"
          END
          WID_LABEL_116 LABEL 42 274 0 0
          VALUE "B. Start Multi-Group Scaling Queue"
          ALIGNLEFT
          END
          Step_6D_Remove_MetaGroups_from_Queue_Button PUSHBUTTON 72 236 0 0
          VALUE "Remove Selected Meta-Groups from Queue"
          ALIGNCENTER
          ONACTIVATE "Step_6_Handler"
          END
          Step_6D_Add_MetaGroups_to_Queue_Button PUSHBUTTON 85 200 0 0
          VALUE "Add Selected Meta-Groups to Queue"
          ALIGNCENTER
          ONACTIVATE "Step_6_Handler"
          END
          Step_6D_MetaGroup_Listbox LIST 24 29 293 159
          FRAME = 1
          MULTIPLE
          ONSELECT "Step_6_Handler"
          WIDTH = 11
          HEIGHT = 2
          END
          WID_LABEL_118 LABEL 15 10 0 0
          VALUE "Scale Meta-Groups"
          ALIGNLEFT
          END
          Step_6D_LED0_Meta_Group DRAW 72 335 202 18
          END
        END
      END
      Step_6_Clear_History_Button PUSHBUTTON 806 500 0 0
      VALUE "Clear History"
      ALIGNCENTER
      ONACTIVATE "Step_6_Handler"
      END
      WID_LABEL_94 LABEL 791 468 0 0
      VALUE "Problem List & History"
      ALIGNLEFT
      END
      Step_6_History_Textbox TEXT 277 463 472 61
      SCROLL
      NONEWLINE
      WRAP
      WIDTH = 20
      HEIGHT = 1
      END
    END
    Tab_7 BASE 0 0 1081 534
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step 7: Image Combining"
    BEGIN
      WID_LABEL_51 LABEL 12 9 0 0
      VALUE "Adds images after spatial registration and application of atm scaling values"
      ALIGNLEFT
      END
      Step_7_Options_Base BASE 541 6 529 426
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        Step_7_Comments_Textbox TEXT 109 396 0 0
        FRAME = 1
        EDITABLE
        ALLEVENTS
        ONINSERTCHAR "Step_7_Handler"
        ONINSERTSTRING "Step_7_Handler"
        ONDELETE "Step_7_Handler"
        WIDTH = 50
        HEIGHT = 1
        END
        WID_LABEL_55 LABEL 14 398 0 0
        VALUE "Comment to add"
        ALIGNLEFT
        END
        WID_BASE_9 BASE 20 367 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_7_Add_Comments_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Add Comments to FITS Files"
          ALIGNLEFT
          ONACTIVATE "Step_7_Handler"
          END
        END
        WID_BASE_2 BASE 20 339 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_7_Override_Scaling_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Override Atmospheric Scaling (Normal=no)"
          ALIGNLEFT
          TOOLTIP "click here to ignore scaling values from Step 6"
          ONACTIVATE "Step_7_Handler"
          END
        END
        WID_BASE_23 BASE 20 312 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_7_Fix_Bad_Pixels_After_Coadd_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Fix Bad Pixels after Coadding (Normal = no)"
          ALIGNLEFT
          ONACTIVATE "Step_7_Handler"
          END
        END
        WID_BASE_36 BASE 307 284 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_7_Mask_R513_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Mask Row 513? (Normal=Yes)"
          ALIGNLEFT
          ONACTIVATE "Step_7_Handler"
          END
        END
        WID_BASE_37 BASE 20 285 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_7_Star_Sky_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Mask Stars for Median? (Normal=Yes; Comets=No)"
          ALIGNLEFT
          ONACTIVATE "Step_7_Handler"
          END
        END
        WID_BASE_42 BASE 299 364 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_7_Astrom_Override_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Astrom. 2MASS Win Override"
          ALIGNLEFT
          ONACTIVATE "Step_7_Handler"
          END
        END
        Step_7_Options_Tab_Base TAB 9 4 449 247
        ONTABCHANGE "Step_7_Options_Tab_Handler"
        BEGIN
          Step_7_Options_Stars_Tab BASE 0 0 441 221
          XPAD = 3
          YPAD = 3
          SPACE = 3
          CAPTION "For Star Fields"
          BEGIN
            WID_LABEL_149 LABEL 22 31 0 0
            VALUE "A. Image Flattening via Super-Sky Creation"
            ALIGNLEFT
            END
            WID_BASE_28 BASE 31 49 0 0
            COLUMNS = 1
            NONEXCLUSIVE
            CAPTION "IDL"
            BEGIN
              Step_7_Supersky_Checkbox PUSHBUTTON -1 -1 0 0
              VALUE "Super-Sky Images: Compute, Apply (Normal=Yes)"
              ALIGNLEFT
              ONACTIVATE "Step_7_Handler"
              END
            END
            WID_LABEL_151 LABEL 330 137 0 0
            VALUE "Box Width"
            ALIGNLEFT
            END
            Step_7_Box_Width_Textbox TEXT 333 112 0 0
            EDITABLE
            ALLEVENTS
            ONINSERTCHAR "Step_7_Handler"
            ONINSERTSTRING "Step_7_Handler"
            ONDELETE "Step_7_Handler"
            WIDTH = 6
            HEIGHT = 1
            END
            WID_BASE_35 BASE 76 111 0 0
            ALIGNCENTER
            COLUMNS = 1
            NONEXCLUSIVE
            CHILDALIGNCENTER
            CAPTION "IDL"
            BEGIN
              Step_7_Smooth_Supersky_Checkbox PUSHBUTTON -1 -1 0 0
              VALUE "Boxcar Smooth Super-Skies? (Normal=No)"
              ALIGNLEFT
              ONACTIVATE "Step_7_Handler"
              END
            END
            WID_BASE_34 BASE 76 141 0 0
            COLUMNS = 1
            NONEXCLUSIVE
            CAPTION "IDL"
            BEGIN
              Step_7_Save_Supersky_Checkbox PUSHBUTTON -1 -1 0 0
              VALUE "Save Super-Sky Images to Disk? (Normal=No)"
              ALIGNLEFT
              ONACTIVATE "Step_7_Handler"
              END
            END
            WID_BASE_25 BASE 36 189 0 0
            COLUMNS = 1
            NONEXCLUSIVE
            CAPTION "IDL"
            BEGIN
              Step_7_Apply_Illumination_Checkbox PUSHBUTTON -1 -1 0 0
              VALUE "Compute Illuminations, Scale by Division? (Normal=No)"
              ALIGNLEFT
              ONACTIVATE "Step_7_Handler"
              END
            END
            WID_LABEL_128 LABEL 17 172 0 0
            VALUE "B. Image Flattening via Modeling Backgrounds (Non-Extended Sources)"
            ALIGNLEFT
            END
            WID_LABEL_117 LABEL 13 7 0 0
            VALUE "Select A (Super-Sky) or B (Modeling) Background Removal"
            ALIGNLEFT
            END
            WID_BASE_7 BASE 76 83 0 0
            COLUMNS = 1
            NONEXCLUSIVE
            CAPTION "IDL"
            BEGIN
              Step_7_SS_Star_Sky_Checkbox PUSHBUTTON -1 -1 0 0
              VALUE "Super-sky: Separate Star/Sky? (Normal=Yes)"
              ALIGNLEFT
              ONACTIVATE "Step_7_Handler"
              END
            END
          END
          Step_7_Options_Extended_Tab BASE 0 0 441 221
          XPAD = 3
          YPAD = 3
          SPACE = 3
          CAPTION "For Extended Objects"
          BEGIN
            WID_BASE_26 BASE 32 53 0 0
            COLUMNS = 1
            NONEXCLUSIVE
            CAPTION "IDL"
            BEGIN
              Step_7_Checkbox_Gravity PUSHBUTTON -1 -1 0 0
              VALUE "Remove Constant Backgrounds (before, after)"
              ALIGNLEFT
              ONACTIVATE "Step_7_Handler"
              END
            END
            WID_LABEL_129 LABEL 27 35 0 0
            VALUE "A. Remove Constant Background (for Extended Sources, removes Gravity Waves)"
            ALIGNLEFT
            END
            WID_LABEL_148 LABEL 12 10 0 0
            VALUE "Select A (Constant) or B (Step 11 - Based Fitting) Background Removal"
            ALIGNLEFT
            END
            WID_LABEL_177 LABEL 25 98 0 0
            VALUE "B. Apply Step 11 Points, Radius, and Fit Order"
            ALIGNLEFT
            END
            Step_7_Fit_Options_Droplist DROPLIST 70 166 0 0
            NUMITEMS = 3
            ITEM "Fit all 4 Quads Together"
            ITEM "Fit all 4 Quads Separately"
            ITEM "Fit Top and Bottom Halves Separately"
            ONSELECT "Step_7_Handler"
            END
            WID_LABEL_178 LABEL 47 144 0 0
            VALUE "Select Fitting Approach"
            ALIGNLEFT
            END
            WID_BASE_43 BASE 36 116 0 0
            COLUMNS = 1
            NONEXCLUSIVE
            CAPTION "IDL"
            BEGIN
              Step_7_Use_Step11_Points_Checkbox PUSHBUTTON -1 -1 0 0
              VALUE "Use Background Grid Points generated at Step 11"
              ALIGNLEFT
              ONACTIVATE "Step_7_Handler"
              END
            END
          END
        END
        WID_BASE_8 BASE 306 256 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_7_Flatten_Images_Post_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Flatten Images after? (Normal=Yes)"
          ALIGNLEFT
          ONACTIVATE "Step_7_Handler"
          END
        END
        WID_BASE_10 BASE 18 255 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_7_Flatten_Images_Pre_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Flatten Images before? (Normal=No)"
          ALIGNLEFT
          ONACTIVATE "Step_7_Handler"
          END
        END
        WID_BASE_50 BASE 300 325 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_7_Skip_RC_Flattening_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Skip Row,Col Flattening (Normal=No)"
          ALIGNLEFT
          ONACTIVATE "Step_7_Handler"
          END
        END
      END
      Step_7_LED1_Draw_Window DRAW 619 456 417 18
      END
      WID_LABEL_88 LABEL 758 436 0 0
      VALUE "Image Coadding Progress"
      ALIGNLEFT
      END
      Step_7_LED2_Draw_Window DRAW 619 481 418 18
      END
      WID_LABEL_89 LABEL 751 505 0 0
      VALUE "Group (or MetaGroup) Progress"
      ALIGNLEFT
      END
      Step_7_Tab_Base TAB 15 33 513 375
      ONTABCHANGE "Step_7_Tab_Handler"
      BEGIN
        Step_7A_Single_Group_Tab BASE 0 0 505 349
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Coadd Single Groups"
        BEGIN
          Step_7A_Select_Groups_Listbox LIST 12 17 299 315
          FRAME = 1
          MULTIPLE
          ONSELECT "Step_7_Handler"
          WIDTH = 11
          HEIGHT = 2
          END
          WID_LABEL_114 LABEL 341 46 0 0
          VALUE "A. Select Groups to be coadded"
          ALIGNLEFT
          END
          Step_7A_Start_Single_Group_Coadding_Button PUSHBUTTON 348 263 0 0
          VALUE "Start Single Group Coadding"
          ALIGNCENTER
          ONACTIVATE "Step_7_Handler"
          END
          Step_7A_Add_Group_To_Queue_Button PUSHBUTTON 358 73 0 0
          VALUE "Add Group(s) to Queue"
          ALIGNCENTER
          ONACTIVATE "Step_7_Handler"
          END
          Step_7A_Remove_From_Queue_Button PUSHBUTTON 344 109 0 0
          VALUE "Remove Group(s) from Queue"
          ALIGNCENTER
          ONACTIVATE "Step_7_Handler"
          END
          WID_LABEL_52 LABEL 361 235 0 0
          VALUE "B. Start Coadding Queue"
          ALIGNLEFT
          END
        END
        Step_7B_MetaGroup_Tab BASE 0 0 505 349
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "(Optional) Coadd Meta-Groups"
        BEGIN
          Step_7B_Select_Meta_Groups_Listbox LIST 13 12 273 326
          FRAME = 1
          MULTIPLE
          ONSELECT "Step_7_Handler"
          WIDTH = 11
          HEIGHT = 2
          END
          WID_LABEL_112 LABEL 303 28 0 0
          VALUE "A. Select Meta-Groups to be coadded"
          ALIGNLEFT
          END
          Step_7B_Start_Meta_Group_Coadding_Button PUSHBUTTON 328 264 0 0
          VALUE "Start Meta-Group Coadding"
          ALIGNCENTER
          ONACTIVATE "Step_7_Handler"
          END
          Step_7B_Add_Meta_Group_to_Queue_Button PUSHBUTTON 328 65 0 0
          VALUE "Add Meta-Group to Queue"
          ALIGNCENTER
          ONACTIVATE "Step_7_Handler"
          END
          Step_7B_Remove_Meta_Group_From_Queue_Button PUSHBUTTON 313 97 0 0
          VALUE "Remove Meta-Group from Queue"
          ALIGNCENTER
          ONACTIVATE "Step_7_Handler"
          END
          WID_LABEL_53 LABEL 312 233 0 0
          VALUE "B. Start MetaGroup Coadding Queue"
          ALIGNLEFT
          END
        END
      END
      Step_7_Clear_History_Button PUSHBUTTON 498 472 0 0
      VALUE "Clear History"
      ALIGNCENTER
      ONACTIVATE "Step_7_Handler"
      END
      WID_LABEL_95 LABEL 481 443 0 0
      VALUE "Problem List & History"
      ALIGNLEFT
      END
      Step_7_History_Textbox TEXT 18 426 446 61
      SCROLL
      NONEWLINE
      WRAP
      WIDTH = 20
      HEIGHT = 1
      END
    END
    Tab_8 BASE 0 0 1081 534
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step 8: Final Photometry"
    BEGIN
      Step_8_Select_Groups_Listbox LIST 272 35 306 249
      FRAME = 1
      MULTIPLE
      ONSELECT "Step_8_Handler"
      WIDTH = 11
      HEIGHT = 2
      END
      Step_8_Start_PSF_Fitting_Button PUSHBUTTON 66 289 0 0
      VALUE "Start PSF Fitting"
      ALIGNCENTER
      ONACTIVATE "Step_8_Handler"
      END
      WID_LABEL_59 LABEL 23 36 0 0
      VALUE "1. Select Processing of Groups or Meta-Groups"
      ALIGNLEFT
      END
      WID_LABEL_60 LABEL 21 268 0 0
      VALUE "4. Start PSF Fitting Photometry"
      ALIGNLEFT
      END
      WID_LABEL_61 LABEL 14 11 0 0
      VALUE "PSF-Fitting Photometry of Coadded Images"
      ALIGNLEFT
      END
      Step_8_Options_Base BASE 586 17 481 318
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        WID_LABEL_63 LABEL 20 9 0 0
        VALUE "Options"
        ALIGNLEFT
        END
        WID_LABEL_64 LABEL 93 109 0 0
        VALUE "NG = Number of Row, Column zones (normal=5)"
        ALIGNLEFT
        END
        Step_8_NG_Textbox TEXT 30 105 0 0
        EDITABLE
        ALLEVENTS
        ONINSERTCHAR "Step_8_Handler"
        ONINSERTSTRING "Step_8_Handler"
        ONDELETE "Step_8_Handler"
        WIDTH = 8
        HEIGHT = 1
        END
        WID_LABEL_65 LABEL 92 80 0 0
        VALUE "NSIG = Star Detection Significance Cut (normal = 5.0)"
        ALIGNLEFT
        END
        Step_8_NSIG_Textbox TEXT 29 78 0 0
        EDITABLE
        ALLEVENTS
        ONINSERTCHAR "Step_8_Handler"
        ONINSERTSTRING "Step_8_Handler"
        ONDELETE "Step_8_Handler"
        WIDTH = 8
        HEIGHT = 1
        END
        WID_BASE_13 BASE 31 185 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_8_Save_Residual_Images_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Save Residual Images after Star Subtraction (Normal=no)"
          ALIGNLEFT
          ONACTIVATE "Step_8_Handler"
          END
        END
        WID_BASE_14 BASE 31 214 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_8_Deposit_Into_PHOTCAT_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Deposit Deep Coadd PSF Phot into PHOTCAT (Normal=yes)"
          ALIGNLEFT
          ONACTIVATE "Step_8_Handler"
          END
        END
        WID_BASE_18 BASE 31 242 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_8_Phot_Only_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Deep Coadd Photometry Only - No POL/HWP Phot. (Normal=no)"
          ALIGNLEFT
          ONACTIVATE "Step_8_Handler"
          END
        END
        WID_BASE_11 BASE 29 29 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_8_Flatten_Images_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Flatten Images before fitting (Normal=no)"
          ALIGNLEFT
          ONACTIVATE "Step_8_Handler"
          END
        END
        WID_LABEL_130 LABEL 45 56 0 0
        VALUE "(Not needed if Step 7 did Post-Coadd Flattening)"
        ALIGNLEFT
        END
        WID_BASE_24 BASE 31 134 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_8_Calibrator_Field_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Polarization Callibrator Field (Elias, etc.; Normal=No)"
          ALIGNLEFT
          TOOLTIP "L"
          ONACTIVATE "Step_8_Handler"
          END
        END
        WID_BASE_27 BASE 30 159 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_8_Save_Regions_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Save Region Files (Normal=no)"
          ALIGNLEFT
          TOOLTIP "Select this to save DS9 overlay files"
          ONACTIVATE "Step_8_Handler"
          END
        END
        WID_BASE_51 BASE 282 159 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_8_Save_PSF_Models_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Save PSF Models (Normal=No)"
          ALIGNLEFT
          ONACTIVATE "Step_8_Handler"
          END
        END
        WID_BASE_52 BASE 32 277 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_8_Fix_2MASS_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Fix 2MASS offset (Mock Stars)"
          ALIGNLEFT
          ONACTIVATE "Step_8_Handler"
          END
        END
        Step_8_2MASS_Textbox TEXT 272 278 0 0
        EDITABLE
        ALLEVENTS
        ONINSERTCHAR "Step_8_Handler"
        ONINSERTSTRING "Step_8_Handler"
        ONDELETE "Step_8_Handler"
        WIDTH = 8
        HEIGHT = 1
        END
        WID_LABEL_181 LABEL 348 281 0 0
        VALUE "2MASS-Mimir mag"
        ALIGNLEFT
        END
      END
      WID_LABEL_57 LABEL 179 402 0 0
      VALUE "N_Stars"
      ALIGNLEFT
      END
      Step_8_NStars_Textbox TEXT 36 399 0 0
      WIDTH = 20
      HEIGHT = 1
      END
      WID_LABEL_58 LABEL 252 368 0 0
      VALUE "Image"
      ALIGNLEFT
      END
      Step_8_Image_Textbox TEXT 36 360 0 0
      WIDTH = 32
      HEIGHT = 1
      END
      WID_LABEL_66 LABEL 209 327 0 0
      VALUE "Group"
      ALIGNLEFT
      END
      Step_8_Group_Textbox TEXT 37 323 0 0
      WIDTH = 25
      HEIGHT = 1
      END
      WID_LABEL_67 LABEL 642 396 0 0
      VALUE "Progress on Groups"
      ALIGNLEFT
      END
      Step_8_LED1_Draw_Window DRAW 343 366 682 25
      END
      Step_8_LED2_Draw_Window DRAW 341 415 685 25
      END
      WID_LABEL_68 LABEL 582 347 0 0
      VALUE "Progress on Deep (1st) and HWP Images in Group"
      ALIGNLEFT
      END
      Step_8_Add_Groups_Button PUSHBUTTON 39 188 0 0
      VALUE "Add Groups (or MetaGroups) to Queue"
      ALIGNCENTER
      ONACTIVATE "Step_8_Handler"
      END
      Step_8_Remove_Groups_Button PUSHBUTTON 20 218 0 0
      VALUE "Remove Groups (or MetaGroups) from Queue"
      ALIGNCENTER
      ONACTIVATE "Step_8_Handler"
      END
      WID_BASE_15 BASE 27 62 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Step_8_Show_Groups_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show, Process Single Groups"
        ALIGNLEFT
        ONACTIVATE "Step_8_Handler"
        END
      END
      WID_BASE_16 BASE 27 93 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Step_8_Show_Meta_Groups_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show, Process Meta-Groups"
        ALIGNLEFT
        ONACTIVATE "Step_8_Handler"
        END
      END
      WID_LABEL_42 LABEL 330 12 0 0
      VALUE "2. Select Groups (or Meta-Groups)"
      ALIGNLEFT
      END
      WID_LABEL_43 LABEL 24 162 0 0
      VALUE "3. Put Groups (or Meta-Groups) into Queue"
      ALIGNLEFT
      END
      Step_8_Clear_History_Button PUSHBUTTON 946 479 0 0
      VALUE "Clear History"
      ALIGNCENTER
      ONACTIVATE "Step_8_Handler"
      END
      WID_LABEL_96 LABEL 921 454 0 0
      VALUE "Problem List & History"
      ALIGNLEFT
      END
      Step_8_History_Textbox TEXT 345 453 540 66
      SCROLL
      NONEWLINE
      WRAP
      WIDTH = 20
      HEIGHT = 1
      END
    END
    Tab_9 BASE 0 0 1081 534
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step 9: Polarimetric Analysis"
    BEGIN
      WID_LABEL_69 LABEL 19 18 0 0
      VALUE "Polarimetric Analyses"
      ALIGNLEFT
      END
      WID_LABEL_71 LABEL 26 310 0 0
      VALUE "4. Perform Polarimetric Analysis"
      ALIGNLEFT
      END
      Step_9_Options_Base BASE 612 17 456 331
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        Step_9_Pinst_Table_Textbox TEXT 35 48 0 0
        SCROLL
        NUMITEMS = 1
        ITEM "Default P_inst Files"
        EDITABLE
        ALLEVENTS
        WIDTH = 60
        HEIGHT = 1
        END
        WID_LABEL_73 LABEL 136 75 0 0
        VALUE "Instrumental Polarization Table"
        ALIGNLEFT
        END
        Step_9_PInst_Override_Button PUSHBUTTON 37 96 0 0
        VALUE "Select Different Instrumental Polarization Files"
        ALIGNCENTER
        ONACTIVATE "Step_9_Handler"
        END
        WID_BASE_19 BASE 13 12 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_9_Use_Pinst_Correction_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Correct with Instrumental Polarization"
          ALIGNLEFT
          ONACTIVATE "Step_9_Handler"
          END
        END
        WID_BASE_17 BASE 17 297 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_9_Deposit_Into_POLCAT_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Deposit Polarimetric Results into POLCAT (normal=yes)"
          ALIGNLEFT
          ONACTIVATE "Step_9_Handler"
          END
        END
        WID_BASE_31 BASE 16 228 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_9_Override_Scale_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Override Default Polarization Scale in Region File Overlays"
          ALIGNLEFT
          ONACTIVATE "Step_9_Handler"
          END
        END
        Step_9_P_Scale_Textbox TEXT 66 259 0 0
        ALLEVENTS
        ONINSERTCHAR "Step_9_Handler"
        ONINSERTSTRING "Step_9_Handler"
        ONDELETE "Step_9_Handler"
        WIDTH = 9
        HEIGHT = 1
        END
        WID_LABEL_46 LABEL 149 262 0 0
        VALUE "Polarization Scale Size [integer percentage]"
        ALIGNLEFT
        END
        Step_9_HWP_Offset_Angle_Textbox TEXT 267 164 0 0
        WIDTH = 20
        HEIGHT = 1
        END
        Step_9_Polarization_Efficiency_Textbox TEXT 268 198 0 0
        WIDTH = 20
        HEIGHT = 1
        END
        WID_LABEL_22 LABEL 84 166 0 0
        VALUE "Number of PA Offset Date Blocks"
        ALIGNLEFT
        END
        WID_LABEL_75 LABEL 116 201 0 0
        VALUE "Polarization Efficiency"
        ALIGNLEFT
        END
        Step_9_Date_Stamp_Textbox TEXT 266 131 0 0
        WIDTH = 20
        HEIGHT = 1
        END
        WID_LABEL_72 LABEL 116 133 0 0
        VALUE "Date Stamp of Pinst File"
        ALIGNLEFT
        END
      END
      Step_9_Select_Groups_Listbox LIST 272 32 321 270
      FRAME = 1
      MULTIPLE
      ONSELECT "Step_9_Handler"
      WIDTH = 11
      HEIGHT = 2
      END
      WID_LABEL_74 LABEL 369 12 0 0
      VALUE "2. Select Groups, Meta-Groups"
      ALIGNLEFT
      END
      WID_LABEL_76 LABEL 209 363 0 0
      VALUE "Progress on Groups"
      ALIGNLEFT
      END
      Step_9_LED1_Groups DRAW 380 358 683 24
      END
      Step_9_Start_Analysis_Button PUSHBUTTON 56 339 0 0
      VALUE "Start Polarimetric Analysis"
      ALIGNCENTER
      ONACTIVATE "Step_9_Handler"
      END
      Step_9_Add_Groups_Button PUSHBUTTON 37 215 0 0
      VALUE "Add Groups (or MetaGroups) to Queue"
      ALIGNCENTER
      ONACTIVATE "Step_9_Handler"
      END
      Step_9_Remove_Groups_Button PUSHBUTTON 15 250 0 0
      VALUE "Remove Groups (or MetaGroups) from Queue"
      ALIGNCENTER
      ONACTIVATE "Step_9_Handler"
      END
      WID_LABEL_62 LABEL 19 58 0 0
      VALUE "1. Select Processing of Groups or Meta-Groups"
      ALIGNLEFT
      END
      WID_BASE_21 BASE 36 116 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Step_9_Show_Meta_Groups_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show, Process Meta-Groups"
        ALIGNLEFT
        ONACTIVATE "Step_9_Handler"
        END
      END
      WID_BASE_33 BASE 36 85 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Step_9_Show_Groups_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show, Process Single Groups"
        ALIGNLEFT
        ONACTIVATE "Step_9_Handler"
        END
      END
      WID_LABEL_44 LABEL 22 189 0 0
      VALUE "3. Put Groups (or Meta-Groups) into Queue"
      ALIGNLEFT
      END
      Step_9_Clear_History_Button PUSHBUTTON 985 429 0 0
      VALUE "Clear History"
      ALIGNCENTER
      ONACTIVATE "Step_9_Handler"
      END
      WID_LABEL_97 LABEL 960 402 0 0
      VALUE "Problem List & History"
      ALIGNLEFT
      END
      Step_9_History_Textbox TEXT 407 401 540 53
      SCROLL
      NONEWLINE
      WRAP
      WIDTH = 20
      HEIGHT = 1
      END
    END
    Tab_10 BASE 0 0 1081 534
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step 10: Compute Instrumental Polarization"
    BEGIN
      WID_LABEL_70 LABEL 20 10 0 0
      VALUE "Compute Instrumental Polarization Images from Globular Clusters"
      ALIGNLEFT
      END
      WID_LABEL_77 LABEL 14 103 0 0
      VALUE "A. Select POLCAT files with globular cluster data (uncorrected for P_inst)"
      ALIGNLEFT
      END
      Step_10_Select_POLCATS_Button PUSHBUTTON 51 129 0 0
      VALUE "Open File Chooser to Select POLCATS"
      ALIGNCENTER
      ONACTIVATE "Step_10_Handler"
      END
      WID_LABEL_87 LABEL 634 30 0 0
      VALUE "C. Begin P_Inst Images Calculation"
      ALIGNLEFT
      END
      Step_10_Compute_P_Inst_Button PUSHBUTTON 674 61 0 0
      VALUE "Compute P_Inst Images"
      ALIGNCENTER
      ONACTIVATE "Step_10_Handler"
      END
      Step_10_Nlines_Textbox TEXT 68 159 0 0
      WIDTH = 10
      HEIGHT = 1
      END
      WID_LABEL_108 LABEL 158 162 0 0
      VALUE "Total Number of Lines in all POLCATS"
      ALIGNLEFT
      END
      Step_10_N_Good_Stars_Textbox TEXT 61 406 0 0
      WIDTH = 14
      HEIGHT = 1
      END
      WID_LABEL_140 LABEL 179 410 0 0
      VALUE "Number of stars meeting selection criteria (U; Q)"
      ALIGNLEFT
      END
      WID_LABEL_141 LABEL 18 188 0 0
      VALUE "B. Verify or Change star selection criteria"
      ALIGNLEFT
      END
      Step_10_Cutoff_Textbox TEXT 57 217 0 0
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "Step_10_Handler"
      ONINSERTSTRING "Step_10_Handler"
      ONDELETE "Step_10_Handler"
      WIDTH = 10
      HEIGHT = 1
      END
      WID_LABEL_142 LABEL 148 211 0 0
      VALUE "High Cutoff for U, Q uncertainties for stars [in %]"
      ALIGNLEFT
      END
      Step_10_Stars_Per_Grid_Textbox TEXT 57 257 0 0
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "Step_10_Handler"
      ONINSERTSTRING "Step_10_Handler"
      ONDELETE "Step_10_Handler"
      WIDTH = 10
      HEIGHT = 1
      END
      WID_LABEL_143 LABEL 148 266 0 0
      VALUE "Nominal number of stars per grid position"
      ALIGNLEFT
      END
      Step_10_Boxcar_Size_Textbox TEXT 56 297 0 0
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "Step_10_Handler"
      ONINSERTSTRING "Step_10_Handler"
      ONDELETE "Step_10_Handler"
      WIDTH = 10
      HEIGHT = 1
      END
      WID_LABEL_144 LABEL 155 299 0 0
      VALUE "Boxcar Smoothing Radius (in Mimir pixels)"
      ALIGNLEFT
      END
      WID_LABEL_145 LABEL 628 101 0 0
      VALUE "D. Identify (New) Directory for saving P_Inst Images"
      ALIGNLEFT
      END
      Step_10_Save_Images_Button PUSHBUTTON 663 167 0 0
      VALUE "Open File Chooser to Select Directory for Saving P_Inst Images"
      ALIGNCENTER
      ONACTIVATE "Step_10_Handler"
      END
      WID_BASE_38 BASE 664 131 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Step_10_Save_Region_File_Checkbox PUSHBUTTON -1 -1 0 0
        VALUE "Save DS9 Region File of Stars Meeting Selection Criteria"
        ALIGNLEFT
        ONACTIVATE "Step_10_Handler"
        END
      END
      Step_10_Apply_Criteria_Button PUSHBUTTON 38 367 0 0
      VALUE "Apply Selection Criteria"
      ALIGNCENTER
      ONACTIVATE "Step_10_Handler"
      END
      Step_10_Actual_Per_Grid_Textbox TEXT 63 473 0 0
      WIDTH = 10
      HEIGHT = 1
      END
      WID_LABEL_146 LABEL 175 476 0 0
      VALUE "Actual Mean Number of Stars per Grid point"
      ALIGNLEFT
      END
      WID_LABEL_147 LABEL 174 439 0 0
      VALUE "Search Radius About Grid Points"
      ALIGNLEFT
      END
      Step_10_Search_Radius_Textbox TEXT 61 438 0 0
      WIDTH = 10
      HEIGHT = 1
      END
      WID_BASE_39 BASE 54 333 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Step_10_Avoid_Stars_Checkbox PUSHBUTTON -1 -1 0 0
        VALUE "Avoid stars on High-Pol List (not-selected for pass 1; selected for pass 3)"
        ALIGNLEFT
        GRAYED
        ONACTIVATE "Step_10_Handler"
        END
      END
      WID_LABEL_150 LABEL 619 199 0 0
      VALUE "---------------------------------------------------------------------------------"
      ALIGNLEFT
      END
      WID_LABEL_152 LABEL 637 252 0 0
      VALUE "E. Select POLCAT stars with high P values to put in High-Pol List"
      ALIGNLEFT
      END
      WID_LABEL_153 LABEL 623 219 0 0
      VALUE "NOTE: After computing P_inst, rerun S9 for Globulars with P_inst turned on."
      ALIGNLEFT
      END
      Step_10_Select_POLCATS_2_Button PUSHBUTTON 624 283 0 0
      VALUE "Open File Chooser to Select POLCATS"
      ALIGNCENTER
      ONACTIVATE "Step_10_Handler"
      END
      Step_10_Find_High_Pol_Stars_Button PUSHBUTTON 611 391 0 0
      VALUE "Identify High-Pol Stars"
      ALIGNCENTER
      ONACTIVATE "Step_10_Handler"
      END
      WID_LABEL_154 LABEL 724 323 0 0
      VALUE "High-Pol S/N Threshold (default = 3.5)"
      ALIGNLEFT
      END
      Step_10_High_Pol_Threshold_Textbox TEXT 638 319 0 0
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "Step_10_Handler"
      ONINSERTSTRING "Step_10_Handler"
      ONDELETE "Step_10_Handler"
      WIDTH = 10
      HEIGHT = 1
      END
      WID_LABEL_155 LABEL 592 429 0 0
      VALUE "F. Identify, Clear, or Append to the High-Pol List"
      ALIGNLEFT
      END
      Step_10_Number_High_Pol_Stars_Textbox TEXT 783 392 0 0
      ALLEVENTS
      ONINSERTCHAR "Step_10_Handler"
      ONINSERTSTRING "Step_10_Handler"
      ONDELETE "Step_10_Handler"
      WIDTH = 10
      HEIGHT = 1
      END
      WID_LABEL_156 LABEL 863 394 0 0
      VALUE "Number of High-Pol Stars Found"
      ALIGNLEFT
      END
      Step_10_Field_Number_Threshold_Textbox TEXT 639 353 0 0
      GRAYED
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "Step_10_Handler"
      ONINSERTSTRING "Step_10_Handler"
      ONDELETE "Step_10_Handler"
      WIDTH = 10
      HEIGHT = 1
      END
      WID_LABEL_157 LABEL 722 356 0 0
      VALUE "Field Number Threshold (default = 3)"
      ALIGNLEFT
      END
      Step_10_Clear_List_Button PUSHBUTTON 784 460 0 0
      VALUE "Clear the List"
      ALIGNCENTER
      ONACTIVATE "Step_10_Handler"
      END
      Step_10_Append_List_Button PUSHBUTTON 879 460 0 0
      VALUE "Append Found Stars to the List"
      ALIGNCENTER
      ONACTIVATE "Step_10_Handler"
      END
      WID_LABEL_158 LABEL 60 33 0 0
      VALUE "Done in three passes: (1) run S9 with P_inst correction off, make P_inst files (Steps A-D)"
      ALIGNLEFT
      END
      WID_LABEL_159 LABEL 166 53 0 0
      VALUE "(2) rerun S9 with P_inst on, then find High-Pol stars (starting at step E.)"
      ALIGNLEFT
      END
      WID_LABEL_160 LABEL 166 74 0 0
      VALUE "(3) rerun S9 with P_inst off and, using High-Pol avoidance, recompute P_inst files"
      ALIGNLEFT
      END
      Step_10_Create_Select_List_Button PUSHBUTTON 585 461 0 0
      VALUE "Create, or Select, High-Pol List File"
      ALIGNCENTER
      ONACTIVATE "Step_10_Handler"
      END
      WID_BASE_45 BASE 412 109 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Step_10_Select_H_RButton PUSHBUTTON -1 -1 0 0
        VALUE "H-Band Pol"
        ALIGNLEFT
        ONACTIVATE "Step_10_Handler"
        END
      END
      WID_BASE_46 BASE 413 139 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Step_10_Select_K_RButton PUSHBUTTON -1 -1 0 0
        VALUE "K-Band Pol"
        ALIGNLEFT
        ONACTIVATE "Step_10_Handler"
        END
      END
      WID_BASE_47 BASE 201 233 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Step_10_High_P_Checkbox PUSHBUTTON -1 -1 0 0
        VALUE "Do High-P Cut (>1% SNR3; >2% SNR2; >3% SNR1)"
        ALIGNLEFT
        ONACTIVATE "Step_10_Handler"
        END
      END
      WID_LABEL_179 LABEL 404 300 0 0
      VALUE "NB: 20131203 - 1 Pass only"
      ALIGNLEFT
      END
    END
    Tab_11 BASE 0 0 1081 534
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step 11: Compute Polarization Images"
    BEGIN
      Step_11_History_Textbox TEXT 408 409 540 53
      SCROLL
      NONEWLINE
      WRAP
      WIDTH = 20
      HEIGHT = 1
      END
      WID_LABEL_161 LABEL 964 409 0 0
      VALUE "Problem List & History"
      ALIGNLEFT
      END
      Step_11_Clear_History_Button PUSHBUTTON 989 436 0 0
      VALUE "Clear History"
      ALIGNCENTER
      ONACTIVATE "Step_11_Handler"
      END
      WID_LABEL_162 LABEL 26 181 0 0
      VALUE "3. Put Groups (or Meta-Groups) into Queue"
      ALIGNLEFT
      END
      WID_BASE_40 BASE 40 92 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Step_11_Show_Groups_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show, Process Single Groups"
        ALIGNLEFT
        ONACTIVATE "Step_11_Handler"
        END
      END
      WID_BASE_41 BASE 40 123 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Step_11_Show_Meta_Groups_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show, Process Meta-Groups"
        ALIGNLEFT
        ONACTIVATE "Step_11_Handler"
        END
      END
      WID_LABEL_163 LABEL 23 65 0 0
      VALUE "1. Select Processing of Groups or Meta-Groups"
      ALIGNLEFT
      END
      Step_11_Remove_Groups_Button PUSHBUTTON 31 241 0 0
      VALUE "Remove Groups (or MetaGroups) from Queue"
      ALIGNCENTER
      ONACTIVATE "Step_11_Handler"
      END
      Step_11_Add_Groups_Button PUSHBUTTON 46 207 0 0
      VALUE "Add Groups (or MetaGroups) to Queue"
      ALIGNCENTER
      ONACTIVATE "Step_11_Handler"
      END
      Step_11_Start_Analysis_Button PUSHBUTTON 32 448 0 0
      VALUE "Start Polarimetric Analysis"
      ALIGNCENTER
      ONACTIVATE "Step_11_Handler"
      END
      Step_11_LED1_Groups DRAW 381 342 683 24
      END
      WID_LABEL_164 LABEL 688 377 0 0
      VALUE "Progress on Groups"
      ALIGNLEFT
      END
      WID_LABEL_165 LABEL 388 40 0 0
      VALUE "2. Select Groups, Meta-Groups"
      ALIGNLEFT
      END
      Step_11_Select_Groups_Listbox LIST 294 66 301 247
      FRAME = 1
      MULTIPLE
      ONSELECT "Step_11_Handler"
      WIDTH = 11
      HEIGHT = 2
      END
      Step_11_Options_Base BASE 616 24 456 297
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        WID_LABEL_166 LABEL 17 10 0 0
        VALUE "Options"
        ALIGNLEFT
        END
        Step_11_Pinst_Table_Textbox TEXT 23 65 0 0
        SCROLL
        NUMITEMS = 1
        ITEM "Default P_inst Files"
        EDITABLE
        WRAP
        ALLEVENTS
        WIDTH = 67
        HEIGHT = 1
        END
        WID_LABEL_167 LABEL 148 103 0 0
        VALUE "Instrumental Polarization Table"
        ALIGNLEFT
        END
        Step_11_PInst_Override_Button PUSHBUTTON 59 129 0 0
        VALUE "Select Different Instrumental Polarization Files"
        ALIGNCENTER
        ONACTIVATE "Step_11_Handler"
        END
        WID_BASE_49 BASE 24 29 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Step_11_Use_Pinst_Correction_Checkbox PUSHBUTTON -1 -1 0 0
          VALUE "Correct with Instrumental Polarization"
          ALIGNLEFT
          ONACTIVATE "Step_11_Handler"
          END
        END
        Step_11_P_Scale_Textbox TEXT 23 259 0 0
        ALLEVENTS
        ONINSERTCHAR "Step_11_Handler"
        ONINSERTSTRING "Step_11_Handler"
        ONDELETE "Step_11_Handler"
        WIDTH = 10
        HEIGHT = 1
        END
        WID_LABEL_168 LABEL 112 262 0 0
        VALUE "Polarization Scale Size (pixels/%; default=25)"
        ALIGNLEFT
        END
        Step_11_SN_Threshold_Value_Textbox TEXT 21 187 0 0
        ALLEVENTS
        ONINSERTCHAR "Step_11_Handler"
        ONINSERTSTRING "Step_11_Handler"
        ONDELETE "Step_11_Handler"
        WIDTH = 10
        HEIGHT = 1
        END
        WID_LABEL_171 LABEL 109 191 0 0
        VALUE "S/N Threshold for Overlay Plotting (default = 3)"
        ALIGNLEFT
        END
        Step_11_Overlay_Resolution_Textbox TEXT 22 221 0 0
        ALLEVENTS
        ONINSERTCHAR "Step_11_Handler"
        ONINSERTSTRING "Step_11_Handler"
        ONDELETE "Step_11_Handler"
        WIDTH = 10
        HEIGHT = 1
        END
        WID_LABEL_172 LABEL 111 224 0 0
        VALUE "Overlay Resolution (pixels; default = 5)"
        ALIGNLEFT
        END
        WID_LABEL_173 LABEL 20 166 0 0
        VALUE "Region File Overlay for DS9"
        ALIGNLEFT
        END
      END
      WID_LABEL_169 LABEL 32 423 0 0
      VALUE "6. Perform Full-Frame Polarimetric Analysis"
      ALIGNLEFT
      END
      WID_LABEL_170 LABEL 23 25 0 0
      VALUE "Create Full-Frame Polarization Images"
      ALIGNLEFT
      END
      WID_LABEL_176 LABEL 27 295 0 0
      VALUE "4. Find, Fit, and Remove Backgrounds"
      ALIGNLEFT
      END
      Step_11_Analyze_Backgrounds_Button PUSHBUTTON 35 319 0 0
      VALUE "Start Background Analysis (via pop-up GUI)"
      ALIGNCENTER
      ONACTIVATE "Step_11_Handler"
      END
      Step_11_Skip_Analysis_Button PUSHBUTTON 210 448 0 0
      VALUE "Skip Polarimetric Analysis"
      ALIGNCENTER
      ONACTIVATE "Step_11_Handler"
      END
      WID_LABEL_180 LABEL 26 358 0 0
      VALUE "5. Remove (or Skip Removal of) Backgrounds"
      ALIGNLEFT
      END
      Step_11_Start_Background_Removal_Button PUSHBUTTON 26 383 0 0
      VALUE "Start Background Removal"
      ALIGNCENTER
      ONACTIVATE "Step_11_Handler"
      END
      Step_11_Skip_Background_Removal_Button PUSHBUTTON 203 381 0 0
      VALUE "Skip Background Removal"
      ALIGNCENTER
      ONACTIVATE "Step_11_Handler"
      END
    END
  END
END
