pro get_cluster_name, pathname, cluster_name
;
;	parse pathname into globular cluster name
;
parts = STRSPLIT(FILE_BASENAME(pathname),'_',COUNT=count,/extract)
;
;	if first element has only 1 character and it is an M, concat with
;	second element
;
parts[0] = STRUPCASE(parts[0])		; force to uppercase
;
if(STRLEN(parts[0]) eq 1 and parts[0] eq 'M') then begin
	parts[0] = parts[0] + parts[1]
endif
;
;	similarly, if parts[0] has 3 char and is NGC, concat
;
if(STRLEN(parts[0]) eq 3 and (parts[0] eq 'NGC') or (parts[0] eq 'NCG')) then begin
	if(parts[0] eq 'NGC') then begin
		parts[0] = parts[0] + parts[1]
	endif else begin
		parts[0] = 'NGC' + parts[1]
	endelse
endif
;
;	ok, name is clear - return it
;
cluster_name = parts[0]
;
end