pro s9_read_photcat_header, path, header
;
;	opens and read the indicated path for a photcat header
;
;	returns array in header
;
;	DPC	20110629	new
;
openr, lu_phot, path, /GET_LUN
;
line = ''
WHILE ~EOF(lu_phot) do begin
	readf, lu_phot, format='(a)',line
	;
	;	if begins with semicolons, read into header
	;
	ind = STRPOS(line,";;")
	if(ind ne -1) then begin
		if(N_ELEMENTS(this_header) eq 0) then this_header = [STRMID(line,ind+2)] else $
					this_header = [this_header, STRMID(line,ind+2)]
	endif
ENDWHILE
FREE_LUN, lu_phot
;
header = this_header
;
end