;
; IDL Event Callback Procedures
; MSP_PPOL_GUI_eventcb
;
; Generated on:	11/21/2008 10:46.10
;   V8.4.8  DPC     20200517 - fixed 2MASS PSC vs 6x PSC query_vizier errors
;   V8.4.7  DPC     20200503 - forced PHOTCAT stars to start at unity
;   V8.4.6  DPC     20180520 - added FWHM, Background, seeing to FITS headers
;   v8.4.5  DPC     20180518 - fixed new Use=0 bug introduced in last version
;   v8.4.4  DPC     20170814 - added S6A scaling amplitude display and to header
;                                 added S7 Use=0 override, S7 SS divide or subtract option
;   v8.4.4  DPC     20170809 - fixed linux bug; let S6 xy offsets appear
;   v8.4.3  DPC     20170221 - fixed PSF normalization; replace_underscores
;   v8.4.2  DPC     20170115 - added header info re mock stars and mag offset
;	  v8.4.1  DPC     20170112 - added switch to turn off 2MASS scaling for mock star fields
;   v8.4.0  DPC     20161231 - added backup group and history save files management
;   v8.3.3  DPC     20161121 - added photometry support for H2-On and H2-Off filter types
; 	v8.3.2  DPC   	20150812 - added PSF models save (S8) and skip RC flattening (S7) checkboxes
; 	v8.3.1  DPC   	20141115 - modified set_dither to be more robust when facing photometry observations
; 	v8.3.0  DPC   	20140926 - integrated S11 updates from 8.2.5 with supersky updates from 8.2.9
; 	v8.2.9  DPC   	20140812 - separated S7 star/sky selections for super-sky and coadds
; 	V8.2.8  DPC   	20140808 - continued work on backgrounds and superskies; added MCS switches
; 	V8.2.7  DPC   	20140804 - more work on model_background.pro; added TPS and many switches
; 	v8.2.6  DPC   	20140717 - added S3 image background flattener/modeler for K-band images, mostly
; 	v8.2.5  DPC   	20140707 - much work on supersky coadding and smoothing
; 	v8.2.4  DPC   	20140530 - fixed bug in Step 6 (minor, so no version change)
; 	v8.2.4  DPC   	20140523 - fixed meta group indexing problems (Step 6 mostly)
; 	v8.2.3  DPC   	20140324 - added skip analysis button to step 11
; 	v8.2.2  DPC   	20140319 - enhanced grid point handling of extended polarization (S11)
; 	v8.2.1  DPC		20140227 - bug fix indexing Pinst blocks across month boundaries
; 	v8.2.0  DPC		20140217 - new Pinst code and constants
; 	v8.1.6  DPC   	20131217 - cleaned up to run with IDL8
;	v8.1.5	DPC		20131202 - added H, K band selector to S10 PInst calc, modified H-band clusters to correct
;	v8.1.4  DPC		20131004 - lots of little changes to support photometry-only processing (S7, esp)
;	v8.1.3  DPC		20130921 - modified S3, S4, S8 to respect COADD image types
;	v8.1.2  DPC		20130821 - added BDP directory reconnect code
;	v8.1.1	DPC		20130819 - fixed bugs in S2 (Ski Jump) for extended objects
;	v8.1.0  DPC		20130607 - tweaked to work for J-band photometry
;	v8.0.2	DPC		20130518 - tuned S8 rcrit rejection and max stars to allow running with limited memory
;	v8.0.1  DPC		20130204 - fixed S11 Meta failure to load Pinst default files and other minor bugs
;	v8.0.0  DPC     20130103 - finished certifying all recent changes. This version to do final GPIPS processing
;	v7.1.3.4 DPC	20121230 - added narrow testing for get fwhm and ppol find stars (astrom); added group_llq_flags
;	v7.1.3.3 DPC	20120914 - fixed some S9, S11 errors for K-Pol with extended sources
;	v7.1.3.2 DPC    20120904 - Minor bug fix, added K-Pol Pinst directory
;	v7.1.3.1 DPC	20120731 - fixed S7/Meta for use with S11 Extended
;	v7.1.3  DPC     20120604 - created model_bad_pixels.pro and added its action to end of S3
;	v7.1.2	DPC		20120603 - turned off all extraneous files writing (S3, S4, S8)
;	v7.1.1  DPC     20120601 - updated PSF star selection to better include bright stars
; 	v7.1.0  DPC     20120501 - merged in changes from other running versions
;	v7.0.2  DPC		20120408 - fixed S7/S11 background model indexing; limited max order to 4
;	v7.0.1	DPC		20120319 - added sigma_I calc in S9 to compare to magerr
;	v7.0.0  DPC		20120220 - added GLIMPSE matching and output to PHOTCAT/POLCAT, as well as GPA to POLCAT
;	v6.6.5	DPC		20111211 - tweaked Ski Jump for less trigger happiness; added Extended Object flag for minimal SJ correct
;	v6.6.4	DPC		20111012 - minor bug fix in S8 write polcat
;	v6.6.3	DPC		20110907 - implemented 'utility flag' in POLCAT output (replacing HQG)
;	v6.6.2	DPC		20110904 - added S11 points background fitting to S7 Extended; adding new tabs
;	v6.6.1	DPC		20110831 - added High Quality Flag (HQF) to S9 POLCAT writing
;	v6.6.0	DPC		20110828 - incorporated full field polarimetry with pop up GUI for background determination
;	v6.5.2  DPC		20110819 - added astrometry override for S7 to allow 2MASS window to move w/o lots 'o stars
;	v6.5.1  DPC		20110814 - fixed S8 group *** bug, changed POLCAT id field to consecutive
;	v6.5.0	DPC		20110701 - tweaks to S8 - First Full Reference Version for GPIPS Processing
;	v6.4.2	DPC		20110629 - added A/B axis ratio and RMS scale to PHOTCAT, POLCAT
;	v6.4.1	DPC		20110628 - minor bug fix in S9 for no Pinst case
;	v6.4.0  DPC		20110615 - major P_Inst changes, new POLCAT header variables
;	v6.3.4	DPC		20110610 - mods to POLCAT header values
;	v6.3.3	DPC		20110513 - fixed Meta group problems in S8, S9
;	v6.3.2	DPC		20110504 - turned off S9 printing of rejected stars information for better speed
;	v6.3.1	DPC		20110502 - fixed F/17 bug in S3 (was setting ALL to F/17)
; 	v6.3.0  DPC		20110430 - changed headers for PHOTCAT and POLCAT to contain key quantities
;	v6.2.3  DPC		20110428 - changed P_Inst_Offset angles to accommodate different offsets for different years
;	v6.2.2	DPC		20110406 - added set use 0 on S1; echo of p_inst values on S9; more info to FITS & PHOT/POLCATs
;	v6.2.1	DPC		20110401 - minor bug fixes
;	v6.2.0  DPC		20110329 - more memory management for meta coadding
;	v6.1.7  DPC		20110315 - fixed more S3 astrometry problems for std stars
;	v6.1.6  DPC		20110310 - added Q,U offsets for M12, M71 PInst calc
;	v6.1.5	DPC		20110216 - updated POLCAT headers, PPOL version numbers to headers
;	v6.1.4	DPC		20110216 - bug fixes
;	v6.1.3  DPC		20110202 - added full-frame polarization calculation
;	v6.1.2	DPC		20110127 - fixed U -> -U, added high pol culling for globular cluster pol nulls
;	v6.1.1  DPC		20101230 - fixed coadding memory limit; added S7 star/sky mfm switch for comets
;	v6.1.0	DPC		20100829 - tweaks to S8, S9 - changed pol reg file colors, too
;	v6.0.6	DPC		20100827 - added row513 mask
;	v6.0.5	DPC		20100826 - updated S8
;	v6.0.4	DPC		20100825 - added more S7 supersky options
;	v6.0.3	DPC		20100822 - minor bug fixes
;	v6.0.2	DPC		20100821 - All of S10 working (including parameter editing)
;	v6.0.1	DPC		20100820 - S10 turned on
;	v6.0.0	DPC		20100820 - added new S10 (P_Inst calculator) and hooks for S11 (Pol Image calc.)
;	v5.1.10 DPC		20100819 - fixed delete error and added analysis director to title
;	v5.1.9  DPC     20100816 - added Step 3 astrometry sub-steps, more textbox output
; 	v5.1.8  DPC     20100809 - fixed Step 1 bug that had failed to update disk file
;	v5.1.7	DPC		20100805 - yet another astrometry bug fixed; also bright stars allowed in PSF builds, phot
;	v5.1.6	DPC		20100804 - added tests for bad columns in quadrants in S3 astrometry to kill of stars
;	v5.1.5	DPC		20100804 - implemented defocussed S3,S4; tightened astrometry tolerances a bit
;	v5.1.4  DPC		20100801 - tightened image quality evaluation in S3/ppol_find_stars to reject bad images
;	v5.1.3  DPC     20100722 - astrometry bug, added computer name to banner
;	v5.1.2	DPC		20100719 - minor astrometry tolerance bug fixed
;	v5.1.1	DPC		20100714 - added P scale override in Step 9 for region file overlays
;	v5.1.0	DPC		20100601 - meta-group coadding (with memory management) working; meta-group supersky working
;	v5.0.5	DPC		20100520 - fixed nasty bug in g_select_psf_stars
;	v5.0.4	DPC		20100518 - several S8 bugs fixed
;	v5.0.3	DPC		20100517 - minor S7 meta coadd bug
;	v5.0.2  DPC		20100514 - minor S4 bug fix (g_get_FWHM)
;	v5.0.1  DPC		20100512 - Pinst fully working with default values from 200901 run
;	v5.0.0	DPC		20100506 - new Pinst calcs with better error handling
;	v4.0.11 DPC		20100428 - more S3 astrometry work
;	v4.0.10 DPC		20100413 - fixed bugs in S5 matching
;	v4.0.9	DPC		20100411 - tweaked supersky method, smoothing kernel size
;	v4.0.8	DPC		20100409 - added supersky to step 7
;	v4.0.7	DPC		20100407 - fixed meta coadd bug
;	v4.0.6	DPC		20100404 - more bug fixes
;	v4.0.5	DPC		20100329 - tweaked astrometry to work with globulars
;	v4.0.4	DPC		20100321 - fixed S8 2Mass matching bug
;	v4.0.3	DPC		20100310 - more PSF work, final tweaks
;	v4.0.0  DPC		20100223 - finished S8, with many tweaks
;	v3.1.11 DPC		20100221 - much work on PSF fitting (S8)
;	v3.1.10 DPC		20100219 - fixed minor bugs in meta grouping, ski jump fitting
;	v3.1.9  DPC     20100215 - meta coadding (S7) fixed; all S7 set to single precision
;	v3.1.8  DPC		20100211 - set a/b to 2.0; turning on meta grouping in S6
;	v3.1.X  DPC		20100202 - xperimental; new psf selection
;	v3.0.2	DPC		20091230 - added low_order (gravity wave) background removal option to Step 7 for extended
;	v3.0.1  DPC		20091230 - added reporting textboxes in S5
;	v3.0.0  DPC		20091228 - modified S5, S6 to work with new "rotated" HWP data
;	v2.5.4  DPC		20091214 - tuned atmospheric scaler (dither rejection)
;	v2.5.3  DPC		20091214 - more Vizier mirror sites in search list
;	v2.5.2	DPC		20091209 - improvements to PSF star selection, Step 4 PSF photometry, S2 ski jump detect, fix
;	v2.5.1	DPC		20091208 - minor bug fix in Step 9 (no detectable polarizations broke reg file writer)
;	v2.5.0	DPC 	20091204 - upgrade with new FF from BDP
;	v1.0.1 	DPC  	20081204
;
;
; Empty stub procedure used for autoloading.
;
pro MSP_PPOL_GUI_eventcb
end
;
;------------------------------------------
pro MSP_PPOL_PostCreation, wWidget, _EXTRA=_VWBExtra_
  ;
  ; if windows and idl8 select font
  ;
  if(STRTRIM(STRUPCASE(!VERSION.OS_FAMILY),2) eq 'WINDOWS') then begin
      WIDGET_CONTROL, DEFAULT_FONT='Tahoma*13' ; 'Veranda*15'
  endif
	;
	;	get computer name
	;
	host = GETENV('computername')
	if(strlen(host) eq 0) then host = GETENV('HOSTNAME')
	;
	version_short_string = 'v8.4.8 20200517 on '+STRTRIM(host,2)
	version_string = 'MSP_PPOL (Mimir Software Package - Photo-Polarimetry) '+version_short_string
	;
	;	and directory from which the software was launched
	;
	CD, CURRENT=PPOL_dir
	;
	;	set up and clear summary structure
	;
	summary_struct = {	version_string: version_string, 	$	;for window title
						version_short_string: version_short_string,	$	;for inclusion on data files
						analysis_dir:			'',			$	;root of directory structure
						last_dir:				'',			$   ;last raw data directory accessed
						lu_log:					0L,			$	;lu of log file
						log_path:				'',			$ 	;pathname to the log file
						PPOL_dir:			PPOL_dir		$	;PPOL package directory
						;
					  }
	;
	group_struct = {	n_groups:				0L, 		$	;number of groups
						group_names: 	strarr(1000),		$ 	;group name designations
						group_images:	strarr(1000,512),	$   ;pathnames of images in each group
						group_image_flags: intarr(1000,512), $   ;use (1) or don't use (0) flags as processing continues
						;
						group_llq_flags:bytarr(1000,512),	$	;bad LLQ flags (0 = good, else = bad)
						;
						group_numbers:	intarr(1000),		$	;number of images in each group
						group_step:		intarr(1000),		$   ;last completed step for each group
						group_meta:		intarr(1000),		$	;group's meta group assignment (-1, 0, 1, etc)
						selected_groups:intarr(1000),		$ 	;recently highlighted groups in a listbox
						n_groups_selected:		  0L,		$
						;
						;	processing status for each step  -
						;			-1 = skip over this group,
						;			 0 = group is done,
						;			 1 = group is currently being processed
						;			 2 = group is waiting in queue
						;			 3 = group status is unknown ("...")
						;
						S2_group_queue:	intarr(1000),		$
						S3_group_queue:	intarr(1000),		$
						S4_group_queue:	intarr(1000),		$
						S5_group_queue:	intarr(1000),		$
						S6_group_queue: intarr(1000),		$
						S7_group_queue: intarr(1000),		$
						S8_group_queue:	intarr(1000),		$
						S9_group_queue:	intarr(1000),		$
						S11_group_queue: intarr(1000),		$
						;
						;	meta group info
						;
						n_meta_groups:			0L,			$	;number of meta groups
						;
						;		note: for all meta group buffers, the 0th entry is skipped - all good groups begin with 1st
						;
						meta_group_names: 	strarr(100),  	$ 	;meta group names
						meta_group_groups:	MAKE_ARRAY(100,50,/INTEGER,VALUE=-1),$	;groups in the meta group
						meta_group_group_flags: intarr(100,50),$  ;group flags of use (1) or don't use (-1) as processing continues
						meta_group_numbers:	intarr(100),	$	;numbers of groups in each meta group
						meta_group_step:	intarr(100),	$	;last completed step for each meta group
						selected_meta_groups:intarr(100),		$
						n_meta_groups_selected:       0L,	$
						;
						;	processing status for meta-groups - same designation as for groups  (but doesn't start until S6
						;
						S6_meta_group_queue:	intarr(100), $
						S7_meta_group_queue:	intarr(100), $
						S8_meta_group_queue:	intarr(100), $
						S9_meta_group_queue:	intarr(100), $
						S11_meta_group_queue:	intarr(100)  $
						;
					  }
	history_struct = 	{	history_buffer:			strarr(12,500),  $	; one buffer per main tab
							n_history:				lonarr(12),		$	; number of entries on each buffer
							max_lines:					500L		$   ; maximum number of lines to save
						}
	data_struct = 	   { 	nstars:								0L, $	number of stars in photometric lists
							x:					    fltarr(20000),  $
							y:						fltarr(20000),	$
							ra:						dblarr(20000),  $
							dec:					dblarr(20000),  $
							mag:					fltarr(20000,12),  $	; 20,000 stars, 12 apertures
							errmag:					fltarr(20000,12),  $
							sky:					fltarr(20000),  $
							psf_group:				intarr(20000)   $
						}
	;
	widget_ID_struct = {	Base_text_box_wid:	 				0L,	$
							Base_exit_button_wid: 				0L,	$
							Base_tab_wid: 						0L,	$
							;
							S0_summary_text_box_wid: 			0L,	$
							S0_create_new_button_wid: 			0L,	$
							S0_open_existing_button_wid: 		0L,	$
							S0_group_text_box_wid: 				0L,	$
							S0_meta_group_text_box_wid: 		0L,	$
							;
							S1_create_new_group_button_wid:		0L, $
							S1_remove_group_button_wid: 		0L, $
							S1_rename_group_button_wid: 		0L, $
							S1_edit_image_list_button_wid:		0L, $
							S1_reset_image_flags_wid: 			0L, $
							S1_change_group_status_button_wid:	0L, $
							S1_remove_meta_group_button_wid: 	0L, $
							S1_step_number_textbox_wid: 		0L, $
								S1_step_number_value:			0L, $
								S1_sn_nch:						0L, $
								S1_sn_buffer:        	strarr(72),  $
							S1_meta_group_listbox_wid: 			0L, $
							S1_group_summary_listbox_wid: 		0L, $
							;
							;	top level s1 tab box
							S1_tab_base_wid: 					0L, $
								S1_current_tab:					0L, $
							;
							;		first tab page
							S1A_create_groups_tab_wid: 			0L, $
							;
							;			second level tab box
							S1A_tab_base_wid: 					0L, $
								S1A_current_tab:				0L, $
							;				first page of second level tab box
							S1A_1_single_group_tab_wid: 		0L, $
							S1A_1_one_group_file_chooser_button_wid: 0L, $
							S1A_1_save_group_wid: 				0L, $
							S1A_1_group_name_textbox_wid: 		0L, $
								S1A_1_gntb_nch:					0L, $	number of characters in the group name text box buffer
								S1A_1_gntb_buffer:        strarr(72),  $	group name text box buffer
							;				second page of second level tab box
							S1A_2_multiple_groups_tab_wid: 		0L, $
							S1A_2_multiple_group_file_chooser_button_wid: 	0L, $
								S1A_2_image_list:		strarr(10000), $		; file names
								S1A_2_image_names:		strarr(10000), $		; object names
								S1A_2_n_images:					0L, $
								S1A_2_group_list:		strarr(10000), $
								S1A_2_group_image_IDs:	lonarr(10000), $		; group number for each image
								S1A_2_n_groups:					0L, $
							S1A_2_start_multiple_group_creation_button_wid: 		0L, $
							S1A_2_read_directory_wid:			0L, $
							;
							;		second tab page
							S1B_edit_groups_tab_wid: 			0L, $
							S1B_add_images_button_wid:			0L, $
							S1B_remove_images_button_wid: 		0L, $
							S1B_select_images_listbox_wid: 		0L, $
								S1B_n_images_selected:			0L, $
								S1B_selected_image_indices: lonarr(1000), $
							S1B_use_flag_zero_button_wid: 		0L, $
							S1B_image_count_textbox_wid: 		0L, $
							S1B_use_zero_count_textbox_wid:		0L, $
							;
							;		third tab page
							S1C_rename_groups_tab_wid: 			0L, $
							S1C_group_name_textbox_wid: 		0L, $
								S1C_gntb_nch:					0L, $
								S1C_gntb_buffer:		strarr(72), $
							;
							S2_group_listbox_wid: 				0L, $
							S2_start_ski_jump_wid: 				0L, $
							S2_LED1_images_wid: 				0L, $
							S2_LED2_groups_wid: 				0L, $
							S2_ski_jump_count_textbox_wid:		0L, $
							S2_detection_normal_wid:			1L, $
								S2_detection_mode:				1L, $
							S2_detection_low_wid:				0L, $
							S2_detection_high_wid:				0L, $
								S2_repair_mode:					0L,	$
							S2_repair_subtract_wid:				1L, $
							S2_repair_divide_wid:				0L, $
							S2_options_base_wid:				0L, $
							S2_save_models_wid:					0L, $
								S2_save_models_mode:			0L, $
							S2_mode_FITS_string:				'', $
							S2_clear_history_wid:				0L, $
							S2_history_textbox_wid:				0L, $
							S2_extended_mode_button_wid:		0L, $
								S2_extended_mode:				0L, $
														;
							S3_LED1_images_wid:					0L, $
							S3_LED2_groups_wid:					0L, $
							S3_options_base_wid: 				0L, $
							S3_group_listbox_wid: 				0L, $
							S3_start_astro_wid: 				0L, $
								S3_camera_mode:					0L, $
							S3_F5_wid:							0L, $
							S3_F17_wid:							0L, $
								S3_2mass_mode:					0L, $
							S3_save_2mass_wid:					0L, $
							S3_flatten_bg_wid:       0L, $
							  S3_flatten_bg_mode:    1L, $
							S3_defocus_wid:						0L, $
								S3_defocus_mode:				0L, $
							S3_add_to_queue_wid:				0L, $
							S3_remove_from_queue_wid:			0L, $
							S3_bad_fit_textbox_wid:				0L, $
								S3_bad_fit_count:				0L, $
							S3_test_astrometry_wid:				0L, $
							S3_clear_history_wid:				0L, $
							S3_history_textbox_wid:				0L, $
							S3_sn_textbox_wid:					0L, $
							S3_group_name_textbox_wid:			0L, $
							;
							S4_LED1_images_wid:					0L, $
							S4_LED2_groups_wid:					0L, $
							S4_options_base_wid: 				0L, $
							S4_group_listbox_wid: 				0L, $
							S4_add_to_queue_wid: 				0L, $
							S4_remove_from_queue_wid: 			0L, $
							S4_start_PSF_fitting_wid: 			0L, $
								S4_group_value:					0L, $
								S4_image_value:					0L, $
								S4_nstars_value:				0L, $
							S4_group_textbox_wid:				0L, $
							S4_image_textbox_wid:				0L, $
							S4_nstars_textbox_wid: 				0L, $
								S4_textbox_nch:		     intarr(3), $
								S4_textbox_buffer:    strarr(3,72), $
								S4_textbox_value:[1.0, 8.0, 6000.0], $
							S4_ng_textbox_wid: 					0L, $
							S4_nsig_textbox_wid: 				0L, $
							S4_saturation_textbox_wid: 			0L, $
							S4_fix_bad_pixels_button_wid:		0L, $
								S4_fix_bad_pixels_flag:			0L, $
							S4_flatten_image_button_wid:		0L, $
								S4_flatten_image_flag:			0L, $
							S4_clear_history_wid:				0L, $
							S4_history_textbox_wid:				0L, $
							;
							S5_LED1_images_wid:					0L, $
							S5_LED2_groups_wid:					0L, $
							S5_options_base_wid: 				0L, $
							S5_group_listbox_wid: 				0L, $
							S5_add_to_queue_wid: 				0L, $
							S5_remove_from_queue_wid: 			0L, $
							S5_start_matching_wid: 				0L, $
							S5_ra_offsets_window_wid:			0L, $
							S5_dec_offsets_window_wid:			0L, $
							S5_mag_offsets_window_wid:			0L, $
							S5_nbad_textbox_wid:				0L, $
							S5_textbox_matches_wid:				0L, $
							S5_textbox_rms_dmag_wid:			0L, $
							S5_clear_history_wid:				0L, $
							S5_history_textbox_wid:				0L, $
								S5_match_area:					0.60, $	; fractional area within which to compute star mag offsets
							;
							S6_tab_base_wid:					0L, $
								S6_current_tab:					0L, $
								S6_group_mode:					0L, $
							S6_clear_history_wid:				0L, $
							S6_history_textbox_wid:				0L, $
							;
							S6A_group_listbox_wid:				0L, $
							S6A_add_to_queue_wid:				0L, $
							S6A_remove_from_queue_wid:			0L, $
							S6A_start_group_scaling_wid:		0L, $
							S6A_LED0_group_wid:					0L, $
							S6A_plot_window_wid: 				0L, $
							S6A_sky_plot_window_wid: 			0L, $
							S6A_fp_plot_window_wid: 			0L, $
							S6A_group_name_textbox_wid:			0L, $
								S6A_group_name:					'', $
							S6A_field_pol_textbox_wid:			0L, $
								S6A_field_pol_value:			0.0d0, $
								S6A_field_pol_sigma:			0.0d0, $
							S6A_sky_noise_textbox_wid:			0L, $
								S6A_sky_noise_value:			0.0d0, $
							S6A_bad_image_count_textbox_wid:	0L, $
								S6A_bad_image_count:			0L, $
							S6A_aper_no_textbox_wid:			0L, $
								S6A_aper_no_value:				0L, $
							S6A_amplitude_textbox_wid:   0L, $
							  S6A_scaling_amplitude:   0.0d0, $
							;
							S6B_group_to_meta_group_listbox_wid:0L, $
							S6B_add_to_meta_wid: 				0L, $
							S6B_remove_from_meta_wid: 			0L, $
							S6B_name_meta_textbox_wid:			0L, $
								S6_meta_name_nch:				0L, $
								S6_meta_name_buffer:	strarr(72), $
							S6B_meta_group_listbox_wid:			0L, $
							S6B_remove_meta_group_wid: 			0L, $
								S6_delete_buffer_n:				0L, $
								S6_delete_buffer:		lonarr(500), $
							;
							S6C_meta_group_listbox_wid: 		0L, $
							S6C_add_meta_groups_wid: 			0L, $
							S6C_remove_meta_groups_wid: 		0L, $
							S6C_LED0_meta_group_wid:			0L, $
;							S6C_RA_width_wid: 					0L, $
;							S6C_Dec_width_wid: 					0L, $
;							S6C_Mag_width_wid: 					0L, $
;								S6_textbox_nch:		     intarr(3), $
;								S6_textbox_buffer:    strarr(3,72), $
;								S6_textbox_values: [2.0,2.0,0.5],  $	; ra, dec, mag width defaults
							S6C_RA_plot_wid: 					0L, $
							S6C_Dec_plot_wid: 					0L, $
							S6C_Mag_plot_wid: 					0L, $
							S6C_start_matching_wid:				0L, $
							S6C_LED1_group_wid:					0L, $
							S6C_textbox_matches_wid:			0L, $
							S6C_textbox_rms_dmag_wid:			0L, $
							S6C_textbox_nbad_wid:				0L, $
							;
							S6D_meta_group_listbox_wid:			0L, $
							S6D_add_meta_groups_wid:			0L, $
							S6D_remove_meta_groups_wid:			0L, $
							S6D_start_meta_group_scaling_wid:	0L, $
							S6D_relative_scales_draw_wid:		0L, $
							S6D_LED0_meta_group_wid:			0L, $
							;
							S7_option_base_wid: 				0L, $
							S7_clear_history_wid:				0L, $
							S7_history_textbox_wid:				0L, $
							S7_LED1_images_wid:					0L, $
							S7_LED2_groups_wid:					0L, $
							S7_F5_wid:							0L, $
							S7_F17_wid:							0L, $	; not in use
								S7_camera_mode:					0L, $	; not in use
							;
							;	options tabs (and modes on each tab)
							;
							S7_options_tab_base_wid:			0L, $
								S7_options_mode_and_tab:		0L,	$	; 0 = stars, 	1 = extended
								S7_stars_mode:					    0L, $	; 0 = super-sky,1 = model
								S7_extended_mode:				    0L, $	; 0 = constant 	1 = Step 11 backgrounds
							;
							;	options tab - star fields
							;
							S7_supersky_option_wid:				0L, $
							S7_save_supersky_checkbox_wid:		0L, $
								S7_save_supersky_mode:			0L, $
							S7_smooth_supersky_checkbox_wid:	0L, $
								S7_smooth_supersky_mode:		0L, $
							S7_box_width_textbox_wid:			0L, $
								S7_box_width_value:			    15, $
						  S7_ss_star_sky_checkbox_wid:  0L, $
						    S7_ss_star_sky_flag:        1L, $ ; 1 for H; 0 for K, normally
						  S7_subtract_ss_radio_wid:     0L, $
						    S7_subtract_ss_flag:        1L, $
						  S7_divide_ss_radio_wid:       0L, $
						    S7_divide_ss_flag:          0L, $
							;
							S7_apply_illumination_button_wid:	0L, $
							S7_flatten_images_pre_button_wid:	0L, $
								S7_flatten_images_pre_flag:		0L, $
							S7_flatten_images_post_button_wid:	0L, $
								S7_flatten_images_post_flag:	1L, $
							;
							;	options tab - extended sources
							;
							S7_use_step11_points_checkbox_wid:	0L, $
							S7_low_order_wid:					0L, $
							S7_fit_options_droplist_wid:		0L,	$
								S7_fit_options_mode:			1L, $
							;
							;	common options
							;
							S7_star_sky_checkbox_wid:			0L, $
								S7_star_sky_flag:				    1L, $	; star/sky masking for median during coadding
							S7_mask_row513_checkbox_wid:		0L, $
								S7_mask_row513_mode:			   1L, $
							S7_fix_bad_pixels_button_wid:		0L, $
								S7_fix_bad_pixels_flag:			0L, $
							S7_override_option_wid:				0L, $ ; not in use
								S7_override_scaling_mode:		0L, $ ; not in use
							S7_astrometry_option_wid:			0L, $	; not in use
								S7_astrometry_mode:				0L, $	; not in use
							S7_astrom_override_checkbox_wid:	0L, $	; not in use
								S7_astrom_override_flag:		0L, $	; not in use
							S7_2mass_option_wid:				0L, $	; for April's simulations
								S7_2mass_mode:					0L, $
							S7_add_comments_option_wid:			0L, $
								S7_comments_mode:				0L, $
								S7_comments_nch:				0L, $
								S7_comments_buffer:	    strarr(72), $
								S7_comments_string:				'', $
							S7_comments_textbox_wid:			0L, $
							S7_skip_RC_checkbox_wid:			0L,	$
								S7_skip_RC_flag:				0L, $
							S7_USE_0_override_checkbox_wid:  0L, $
							 S7_USE_0_override_flag:       0L, $
							;
							;	group or metagroup tab handing
							;
							S7_tab_base_wid: 					0L, $
								S7_group_mode:					0L, $
								S7_current_tab:					0L, $
							;
							S7A_group_listbox_wid: 				0L, $
							S7A_add_to_queue_wid: 				0L, $
							S7A_remove_from_queue_wid: 			0L, $
							S7A_start_group_coadding_wid: 		0L, $
							;
							S7B_meta_group_listbox_wid: 		0L, $
							S7B_add_to_meta_wid: 				0L, $
							S7B_remove_from_meta_wid: 			0L, $
							S7B_start_meta_group_scaling_wid: 	0L, $
							;
							S8_show_groups_wid:					0L, $
								S8_meta_group_mode:				0L, $
							S8_show_meta_groups_wid:			0L, $
							;
							S8_group_listbox_wid: 				0L, $
							S8_add_groups_wid:					0L, $
							S8_remove_groups_wid:				0L, $
							S8_start_psf_fitting_wid: 			0L, $
							S8_clear_history_wid:				0L, $
							S8_history_textbox_wid:				0L, $
							;
							S8_group_textbox_wid:				0L, $
							S8_image_textbox_wid: 				0L, $
							S8_nstars_textbox_wid: 				0L, $
							S8_LED1_images_wid:					0L, $
							S8_LED2_groups_wid:					0L, $
							;
							S8_option_base_wid: 				0L, $
							S8_nsig_textbox_wid:			    0L, $
								S8_textbox_nch:				 [0,0,3], $
								S8_textbox_buffer:	  strarr(3,72), $
								S8_textbox_value:       [4.0,5.0,0.0], $	; NSIG, NG, 2MASS offset - global, for many groups the starting values
								S8_textbox_group_value: [4.0,5.0,0.0], $	; same, but allowed to change for a group (& HWP lowered by 1)
								S8_textbox_group_start: [4.0,5.0,0.0], $	; the best values found in the deep coadd run
							S8_ng_textbox_wid: 					0L, $
							S8_2MASS_offset_textbox_wid:		0L, $
							  S8_2MASS_offset_value:    0.0, $
							;
							S8_use_deep_star_list_wid:			0L, $
								S8_deep_mode:					1L, $
							S8_save_residuals_wid: 				0L, $
								S8_residuals_mode:				0L, $
							S8_deposit_into_photcat_wid: 		0L, $
								S8_PHOTCAT_mode:				1L, $
							S8_phot_only_option_wid: 			0L, $
								S8_phot_only_mode:				0L, $
							S8_flatten_images_button_wid:		0L, $
								S8_flatten_images_flag:			0L, $
							S8_calibrator_button_wid:			0L, $
								S8_calibrator_flag:				0L, $
							S8_save_regions_checkbox_wid:		0L, $
								S8_save_regions_flag:			0L, $
							S8_save_PSF_models_checkbox_wid:	0L, $
								S8_save_PSF_models_flag:		0L, $
							S8_fix_2MASS_checkbox_wid:			0L, $
								S8_fix_2MASS_flag:				0L, $
							;
							S9_show_groups_wid:					0L, $
								S9_meta_group_mode:				0L, $
							S9_clear_history_wid:				0L, $
							S9_history_textbox_wid:				0L, $
							S9_show_meta_groups_wid:			0L, $
							S9_group_listbox_wid: 				0L, $
							S9_add_groups_wid:					0L, $
							S9_remove_groups_wid:				0L, $
							S9_start_analysis_wid: 				0L, $
							S9_LED1_groups_wid:					0L, $
							;
							S9_use_pinst_correction_wid:		0L, $
								S9_Pinst_mode:					1L, $
							S9_Pinst_textbox_wid: 				0L, $
								S9_textbox_pathname:	 'default', $
							S9_Pinst_override_button_wid:		0L, $
								S9_P_scale_mode:				0L, $		; 0 = default; 1 = override
							S9_P_scale_override_button_wid:		0L, $
							S9_P_scale_textbox_wid:				0L, $
								S9_textbox_nch:					0L, $
								S9_textbox_buffer:	    strarr(72), $
								S9_textbox_value:       		-1, $
							S9_u_inst_ptr:				 PTR_NEW(), $
							S9_q_inst_ptr:				 PTR_NEW(), $
							S9_u_sig_inst_ptr:		     PTR_NEW(), $
							S9_q_sig_inst_ptr:			 PTR_NEW(), $
							S9_P_inst_values_ptr:		 PTR_NEW(), $
							S9_date_stamp_textbox_wid:			0L, $
							S9_HWP_offset_angle_wid:			0L, $
							S9_polarization_efficiency_wid:		0L, $
							S9_deposit_into_polcat_wid: 		0L, $
								S9_polcat_mode:					1L, $
							S9_2mass_wid:					    0L, $
							;
							S10_High_P_Checkbox_wid:			0L, $
								S10_High_P_flag:				1L, $
							S10_Select_H_RButton_wid:			0L, $
								S10_Band:					   'H', $
							S10_Select_K_RButton_wid:			0L, $
							S10_select_polcats_button_wid:		0L, $
							    S10_polcat_list:	   strarr(400), $
							    S10_n_polcats:                  0L, $
							    S10_ptr_pol_struct:	     PTR_NEW(), $
							    S10_u_index: 		 lonarr(80000), $
							    S10_n_u_index:					0L, $
							    S10_q_index: 		 lonarr(80000), $
							    S10_n_q_index:					0L, $
							S10_apply_criteria_button_wid:		0L, $
							S10_compute_p_inst_button_wid:		0L, $
								S10_ptr_images:			 PTR_NEW(), $
							S10_save_images_button_wid:			0L, $
							S10_save_region_file_checkbox_wid:	0L, $
								S10_save_region_mode:			1L, $
							S10_nlines_textbox_wid:				0L, $
							S10_n_good_stars_textbox_wid:		0L, $
							S10_actual_per_grid_textbox_wid:	0L, $
							S10_search_radius_textbox_wid:		0L, $
							S10_cutoff_textbox_wid:				0L, $
								S10_sigma_cutoff:			  1.750, $
							S10_stars_per_grid_textbox_wid:		0L, $
								S10_stars_per_grid:			 	330,$
							S10_boxcar_size_textbox_wid:		0L, $
								S10_boxcar_size:			   110, $
							;
							S10_avoid_stars_checkbox_wid:		0L, $
								S10_avoid_stars_flag:			0L, $	; default = no
							S10_select_polcats_2_button_wid:	0L, $
								S10_polcat_list_2:	   strarr(400), $
							    S10_n_polcats_2:                0L, $
							    S10_ptr_pol_struct_2:	 PTR_NEW(), $
							S10_high_pol_threshold_textbox_wid:	0L, $
								S10_high_pol_threshold_value:  3.5, $	; default = 3.5
							S10_field_number_threshold_textbox_wid:	0L, $
								S10_field_number_threshold_value:	3, $	; default = 3 fields
							S10_find_high_pol_stars_button_wid:	0L, $
							S10_number_high_pol_stars_textbox_wid:	0L, $
								S10_short_list_ptr: 	PTR_NEW(),  $
								S10_n_short_list:				0L, $
							S10_clear_list_button_wid:			0L, $
							S10_append_list_button_wid:			0L, $
							S10_create_select_list_button_wid:	0L, $
								S10_high_pol_file_lun:			0L, $
								S10_list_pathname:				'',  $	; default is no pathname
							;
							S11_show_groups_wid: 				0L, $
								S11_meta_group_mode:			0L, $
							S11_show_meta_groups_wid: 			0L, $
							S11_group_listbox_wid: 				0L, $
							S11_add_groups_wid: 				0L, $
							S11_remove_groups_wid: 				0L, $
							S11_start_background_removal_wid:	0L, $
							S11_skip_background_removal_wid:	0L, $
							S11_analyze_backgrounds_wid:		0L, $
							S11_start_analysis_wid:				0L, $
							S11_skip_analysis_wid:				0L, $
							S11_clear_history_wid: 				0L, $
							S11_history_textbox_wid: 			0L, $
							S11_LED1_groups_wid: 				0L, $
							S11_use_pinst_correction_wid: 		0L, $
								S11_Pinst_mode:					1L, $
							S11_Pinst_textbox_wid: 				0L, $
								S11_Pinst_pathname:	 	'default', 	$
							S11_PInst_override_button_wid: 		0L, $
								S11_P_scale_mode:				0L, $		; 0 = default; 1 = override
							S11_P_scale_textbox_wid: 			0L, $
								S11_textbox_nch:					0L, $
								S11_textbox_buffer:	    strarr(72), $
								S11_textbox_value:       		-1, $
							    S11_P_scale_value:			  25.0,	$	; pixels per percentage P
							S11_sn_threshold_value_textbox_wid: 0L, $
								S11_sn_threshold_value:		   3.0, $
							S11_overlay_resolution_wid: 		0L, $
								S11_overlay_value:			  	5	$	; pixels between vector centers
						}
	;
	;	step-specific structures
	;

	PTR_summary = PTR_NEW(summary_struct,/NO_COPY)
	PTR_group = PTR_NEW(group_struct,/NO_COPY)
	PTR_wid_id = PTR_NEW(widget_ID_struct,/NO_COPY)
	PTR_data = PTR_NEW(data_struct, /NO_COPY)
	PTR_history = PTR_NEW(history_struct, /NO_COPY)
    ;
    ;	load the pointer(s) into the pointer structure
    ;
    PTR_struct = {PTR_summary: PTR_summary, PTR_group: PTR_group, PTR_wid_id: PTR_wid_id, $
    				PTR_data: PTR_data, PTR_history: PTR_history}
    ;
    WIDGET_CONTROL, wWidget, SET_UVALUE=PTR_struct
end

;-----------------------------------------------------------------
pro Base_Exit_Button_Press, Event
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct	;	close log file
	s_ptr = PTR_struct.PTR_summary
	w_ptr = PTR_struct.PTR_wid_id
	g_ptr = PTR_struct.PTR_group
	d_ptr = PTR_struct.PTR_data
	h_ptr = PTR_struct.PTR_history
	;
	;	update group file one last time
	;
	MSP_PPOL_Save_Group_File, Event
	;
	if( (*s_ptr).lu_log ne 0) then FREE_LUN, (*s_ptr).lu_log
	;
	;free the pointers
	;
	;	and then the full structure pointers
	;
	PTR_FREE, w_ptr
	PTR_FREE, g_ptr
	PTR_FREE, d_ptr
	PTR_FREE, h_ptr
	PTR_FREE, s_ptr
	;
	WIDGET_CONTROL, Event.top, /DESTROY
end
;
;-----------------------------------------------------------------
pro MSP_PPOL_Realize, wWidget
	WIDGET_CONTROL, wWidget, GET_UVALUE=PTR_struct
	;
	;	load all the widget IDs
	;
	;	need to pass an event structure:
	;
	event = {top: wWidget}
	get_wids, event
	;
	;	reread the pointer structure to get updated wids
	;
	WIDGET_CONTROL, wWidget, GET_UVALUE=PTR_struct
	s_ptr = PTR_struct.PTR_summary
	;
	TLB_Title = (*s_ptr).version_string
    tlb_wid = WIDGET_INFO( Event.top, FIND_BY_UNAME='WID_BASE')
    WIDGET_CONTROL, tlb_wid, TLB_SET_TITLE=TLB_Title
	;
	w_ptr = PTR_struct.PTR_wid_id
	;
	print_text, event, "Mimir Software Package: Photometry & Polarimetry Package - Initialized!"
	;
	;	point to the first tab (summary) and write the summary to the screen
	;
	WIDGET_CONTROL, (*w_ptr).Base_tab_wid, SET_TAB_CURRENT=0
	;
	;	capture operating system family and set tabbing multiline variable based on family
	;
	os_family = STRUPCASE(!VERSION.OS_FAMILY)
	if(os_family eq 'WINDOWS') then begin
		multiline = 0
	endif else begin
		multiline = 4
	endelse
	WIDGET_CONTROL, (*w_ptr).Base_tab_wid, SET_TAB_MULTILINE=multiline
	;
	S0_summary_print, event
	;
end
;
;------------------------------------- Print Summary ----------------
pro S0_summary_print, event
	WIDGET_CONTROL, event.top, GET_UVALUE=PTR_struct
	w_ptr = PTR_struct.PTR_wid_id
    ;
    ;  write text to the summary window
    ;
    file_in = 'MSP_PPOL_Summary.txt'
    ;
    openr, lu_in, file_in, /GET_LUN
    ist = 0
    WHILE ~EOF(lu_in) do begin
       line = ''
       readf, lu_in, line
       WIDGET_CONTROL, (*w_ptr).S0_summary_text_box_wid, SET_VALUE=line, /APPEND
       ist++
    ENDWHILE
    FREE_LUN, lu_in
end
;
;-----------------
pro Step_0_Handler, Event
	;
	;	figure out which button was pushed and launch the right routine
	;
	buttons = [	"Step_0_Create_New_Button", $
				"Step_0_Open_Existing_Button"$
			   ]
	wid_button = Event.id
	n_buttons = N_ELEMENTS(buttons)
	button_wids = lonarr(n_buttons)
	for iw = 0, n_buttons-1 do button_wids[iw] = WIDGET_INFO(Event.top, FIND_BY_UNAME=buttons[iw])
	;
	ind = WHERE(button_wids[*] eq wid_button, count)
	if(count ne 0) then begin
		case wid_button of
			button_wids[0]: S0_Create_New, Event
			button_wids[1]: S0_Open_Existing, Event
			else: print_text, Event, "Error - Step 0 button push not recognized"
	    endcase
	endif else print_text, Event, "No button pushed."
end
;
;---------------------------------------------------------------
pro Step_1_Handler, Event
	;
	;	figure out which button was pushed or which listbox issued an event
	;
	buttons = [	"Step_1_Create_New_Group_Button", $
				"Step_1_Remove_Group_Button", $
				"Step_1_Rename_Group_Button", $
				"Step_1_Edit_Image_List_Button", $
				"Step_1_Clear_Image_Flags_Button", $
				"Step_1_Change_Group_Status_Button", $
				"Step_1_Remove_Meta_Group_Button", $
				"Step_1_Step_Number_Textbox", $
				"Step_1_Meta_Group_Listbox", $
				"Step_1_Group_Summary_Listbox", $
				"Step_1A_1_One_Group_File_Chooser_Button", $
				"Step_1A_1_Save_Group_Button", $
				"Step_1A_1_Group_Name_Textbox", $
				"Step_1A_2_Multiple_Group_File_Chooser_Button", $
				"Step_1A_2_Start_Multiple_Group_Creation_Button", $
				"Step_1A_2_Read_Directory_Button", $
				"Step_1B_Add_Images_To_List_Button", $
				"Step_1B_Remove_Images_Button", $
				"Step_1B_Image_Listbox", $
				"Step_1B_Use_Flag_Zero_Button",$
				"Step_1C_Group_Name_Textbox" $
			   ]
	wid_button = Event.id
	n_buttons = N_ELEMENTS(buttons)
	button_wids = lonarr(n_buttons)
	for iw = 0, n_buttons-1 do button_wids[iw] = WIDGET_INFO(Event.top, FIND_BY_UNAME=buttons[iw])
	;
	ind = WHERE(button_wids[*] eq wid_button, count)
	if(count ne 0) then begin
		case wid_button of
			button_wids[0]: S1_Create_new_group, Event
			button_wids[1]: S1_Remove_group, Event
			button_wids[2]: S1_Rename_group, Event
			button_wids[3]: S1_Edit_image_list, Event
			button_wids[4]: S1_Clear_image_flags, Event
			button_wids[5]: S1_Change_group_status, Event
			button_wids[6]: S1_Remove_meta_group, Event
			button_wids[7]: S1_Edit_step_number, Event
			button_wids[8]: S1_Select_meta_groups, Event
			button_wids[9]: S1_Select_groups, Event
			;
			button_wids[10]: S1A_Launch_file_chooser, Event, 0
			button_wids[11]: S1A_1_Save_group, Event
			button_wids[12]: S1X_Group_name_textbox, Event, 0
			button_wids[13]: S1A_Launch_file_chooser, Event, 1
			button_wids[14]: S1A_2_Start_group_name_parsing, Event
			button_wids[15]: S1A_2_Read_directory, Event
			;
			button_wids[16]: S1B_Add_Images_to_List, Event
			button_wids[17]: S1B_Remove_Images_from_List, Event
			button_wids[18]: S1B_Select_images_on_list, Event
			button_wids[19]: S1B_Set_Use_Flag_Zero, Event
			;
			button_wids[20]: S1X_Group_name_textbox, Event, 2
			;
			else: print_text, Event, "Error - S1 button push not recognized"
	    endcase
	endif else print_text, Event, "No button pushed."
end
;
;-----------------------------------------------------------------
pro Step_2_Handler, Event
	;
	;	figure out which button was pushed or which listbox issued an event
	;
	buttons = [	"Step_2_Group_List_Listbox", $
				"Step_2_Add_To_Queue_Button", $
				"Step_2_Remove_From_Queue_Button", $
				"Step_2_Start_Ski_Jump_Button", $
				"Step_2_Detection_Normal_Radio_Button", $
				"Step_2_Detection_Low_Radio_Button", $
				"Step_2_Detection_High_Radio_Button", $
				"Step_2_Repair_Normal_Radio_Button", $
				"Step_2_Repair_Divide_Radio_Button", $
				"Step_2_Extended_Mode_Button", $
				"Step_2_Save_Model_Button", $
				"Step_2_Clear_History_Button" $
			   ]
	wid_button = Event.id
	n_buttons = N_ELEMENTS(buttons)
	button_wids = lonarr(n_buttons)
	for iw = 0, n_buttons-1 do button_wids[iw] = WIDGET_INFO(Event.top, FIND_BY_UNAME=buttons[iw])
	;
	ind = WHERE(button_wids[*] eq wid_button, count)
	if(count ne 0) then begin
		case wid_button of
			button_wids[0]: S2_Select_Groups, Event
			button_wids[1]: S2_Add_To_Queue, Event
			button_wids[2]: S2_Remove_From_Queue, Event
			button_wids[3]: S2_Start_Ski_Jump, Event
			button_wids[4]: S2_Detection, Event, 0
			button_wids[5]: S2_Detection, Event, 1
			button_wids[6]: S2_Detection, Event, 2
			button_wids[7]: S2_Repair, Event, 0
			button_wids[8]:	S2_Repair, Event, 1
			button_wids[9]: S2_Toggle_extended_mode, Event
			button_wids[10]: S2_Toggle_save_model, Event
			button_wids[11]: SAll_Clear_history, Event, 2					; clear S2 history
			else: print_text, Event, "Error - S2 button push not recognized"
	    endcase
	endif else print_text, Event, "No button pushed."
end
;
;-----------------------------------------------------------------
pro Step_3_Handler, Event
	;
	;	figure out which button was pushed or which listbox issued an event
	;
	buttons = [	"Step_3_Select_Groups_Listbox", $
				"Step_3_Start_Astrometry_Button", $
				"Step_3_F5_Camera_Radio_Button", $
				"Step_3_F17_Camera_Radio_Button", $
				"Step_3_Defocussed_Checkbox",$
				"Step_3_Save_2MASS_Files_Checkbox", $
				"Step_3_Flatten_Backgrounds_Checkbox",$
				"Step_3_Add_Group_To_Queue_Button", $
				"Step_3_Remove_From_Queue_Button", $
				"Step_3_Test_Astrometry_Button", $
				"Step_3_Clear_History_Button" $
			   ]
	wid_button = Event.id
	n_buttons = N_ELEMENTS(buttons)
	button_wids = lonarr(n_buttons)
	for iw = 0, n_buttons-1 do button_wids[iw] = WIDGET_INFO(Event.top, FIND_BY_UNAME=buttons[iw])
	;
	ind = WHERE(button_wids[*] eq wid_button, count)
	if(count ne 0) then begin
		case wid_button of
			button_wids[0]: S3_Select_Groups, Event
			button_wids[1]: S3_Start_Astrometry, Event
			button_wids[2]: S3_Camera, Event, 0
			button_wids[3]: S3_Camera, Event, 1
			button_wids[4]: S3_Toggle_Defocus, Event
			button_wids[5]: S3_2MASS, Event
			button_wids[6]: S3_Toggle_Flatten_BG, Event
			button_wids[7]: S3_Add_to_queue, Event
			button_wids[8]: S3_Remove_from_queue, Event
			button_wids[9]: S3_Test_astrometry, Event
			button_wids[10]: SAll_Clear_history, Event, 3
			else: print_text, Event, "Error - S3 button push not recognized"
	    endcase
	endif else print_text, Event, "No button pushed."
end
;
;-----------------------------------------------------------------
pro Step_4_Handler, Event
	;
	;	figure out which button was pushed or which listbox issued an event
	;
	buttons = [	"Step_4_Select_Groups_Listbox", $
				"Step_4_Add_Group_To_Queue_Button", $
				"Step_4_Remove_From_Queue_Button", $
				"Step_4_Start_PSF_Fitting_Button", $
				;
				"Step_4_NG_Textbox", $
				"Step_4_NSIG_Textbox", $
				"Step_4_Saturation_Textbox",  $
				"Step_4_Fix_Bad_Pixels_Button", $
				"Step_4_Flatten_Image_Button", $
				"Step_4_Clear_History_Button" $
			   ]
	wid_button = Event.id
	n_buttons = N_ELEMENTS(buttons)
	button_wids = lonarr(n_buttons)
	for iw = 0, n_buttons-1 do button_wids[iw] = WIDGET_INFO(Event.top, FIND_BY_UNAME=buttons[iw])
	;
	ind = WHERE(button_wids[*] eq wid_button, count)
	if(count ne 0) then begin
		case wid_button of
			button_wids[0]: S4_Select_Groups, Event
			button_wids[1]: S4_Add_to_queue, Event
			button_wids[2]: S4_Remove_from_queue, Event
			button_wids[3]: S4_Start_PSF_Fitting, Event
			button_wids[4]: S4_Change_Textbox, Event, 0
			button_wids[5]: S4_Change_Textbox, Event, 1
			button_wids[6]: S4_Change_Textbox, Event, 2
			button_wids[7]: S4_Toggle_Fix_Bad_Pixels, Event
			button_wids[8]: S4_Toggle_Flatten_Image, Event
			button_wids[9]: SAll_Clear_history, Event, 4
			else: print_text, Event, "Error - S4 button push not recognized"
	    endcase
	endif else print_text, Event, "No button pushed."
end
;
;-----------------------------------------------------------------
pro Step_5_Handler, Event
	;
	;	figure out which button was pushed or which listbox issued an event
	;
	buttons = [	"Step_5_Select_Groups_Listbox", $
				"Step_5_Add_Group_To_Queue_Button", $
				"Step_5_Remove_From_Queue_Button", $
				"Step_5_Start_Matching_Button", $
				"Step_5_Clear_History_Button" $
			   ]
	wid_button = Event.id
	n_buttons = N_ELEMENTS(buttons)
	button_wids = lonarr(n_buttons)
	for iw = 0, n_buttons-1 do button_wids[iw] = WIDGET_INFO(Event.top, FIND_BY_UNAME=buttons[iw])
	;
	ind = WHERE(button_wids[*] eq wid_button, count)
	if(count ne 0) then begin
		case wid_button of
			button_wids[0]: S5_Select_Groups, Event
			button_wids[1]: S5_Add_to_queue, Event
			button_wids[2]: S5_Remove_from_queue, Event
			button_wids[3]: S5_Start_Matching, Event
			button_wids[4]: SAll_Clear_history, Event, 5
			else: print_text, Event, "Error - S5 button push not recognized"
	    endcase
	endif else print_text, Event, "No button pushed."
end
;
;-----------------------------------------------------------------
pro Step_6_Handler, Event
	;
	;	figure out which button was pushed or which listbox issued an event
	;
	buttons = [		"Step_6A_Select_Groups_Listbox", $
					"Step_6A_Add_Group_To_Queue_Button", $
					"Step_6A_Remove_From_Queue_Button", $
					"Step_6A_Perform_Single_Group_Scaling_Button", $
					;							;
					"Step_6B_Groups_To_Meta_Group_Listbox", $
					"Step_6B_Add_Group_To_Meta_Group_Button", $
					"Step_6B_Remove_Group_From_Meta_Group_Button", $
					"Step_6B_Name_Meta_Group_Textbox", $
					"Step_6B_MetaGroup_Listbox", $
					"Step_6B_Remove_MetaGroup_Button", $
					;
					"Step_6C_MetaGroup_Listbox", $
					"Step_6C_Add_MetaGroups_to_Queue_Button", $
					"Step_6C_Remove_MetaGroups_from_Queue_Button", $
;					"Step_6C_RA_Window_Textbox", $
;					"Step_6C_Dec_Window_Textbox", $
;					"Step_6C_Mag_Window_Textbox", $
					"Step_6C_Start_Matching_Button", $
					;
					"Step_6D_MetaGroup_Listbox", $
					"Step_6D_Add_MetaGroups_to_Queue_Button", $
					"Step_6D_Remove_MetaGroups_from_Queue_Button", $
					"Step_6D_Start_Meta_Group_Scaling_Button", $
					"Step_6_Clear_History_Button" $
				   ]
	;
	wid_button = Event.id
	n_buttons = N_ELEMENTS(buttons)
	button_wids = lonarr(n_buttons)
	for iw = 0, n_buttons-1 do button_wids[iw] = WIDGET_INFO(Event.top, FIND_BY_UNAME=buttons[iw])
	;
	ind = WHERE(button_wids[*] eq wid_button, count)
	if(count ne 0) then begin
		case wid_button of
			button_wids[0]: S6_Select_groups, 	Event, 0, 0	; tab_no, 0=queue, 1=list
			button_wids[1]: S6_Add_groups, 		Event, 0, 0
			button_wids[2]: S6_Remove_groups, 	Event, 0, 0
			button_wids[3]: S6_Start_scaling, 	Event, 0
			;	B
			button_wids[4]: S6_Select_groups, 	Event, 1, 1	; build meta-groups
			button_wids[5]: S6_Add_groups, 		Event, 1, 1
			button_wids[6]: S6_Remove_groups, 	Event, 1, 1
			button_wids[7]: S6_Name_meta_group, Event
			button_wids[8]: S6_Select_groups, 	Event, 1, 0	; select meta-groups
			button_wids[9]: S6_Remove_groups, 	Event, 1, 0
			;	C
			button_wids[10]: S6_Select_groups, 	Event, 2, 0	; process meta-groups
			button_wids[11]: S6_Add_groups, 	Event, 2, 0
			button_wids[12]: S6_Remove_groups, 	Event, 2, 0
;			button_wids[13]: S6_Edit_width, 	Event, 0		; edit ra width window
;			button_wids[14]: S6_Edit_width, 	Event, 1
;			button_wids[15]: S6_Edit_width, 	Event, 2
			button_wids[13]: S6_Start_matching, Event
			;
			button_wids[14]: S6_Select_groups, 	Event, 3, 0	; process meta-groups
			button_wids[15]: S6_Add_groups, 	Event, 3, 0
			button_wids[16]: S6_Remove_groups, 	Event, 3, 0
			button_wids[17]: S6_Start_scaling, 	Event, 3
			;
			button_wids[18]: SAll_Clear_history, Event, 6
			;
			else: print_text, Event, "Error - S6 button push not recognized"
	    endcase
	endif else print_text, Event, "No button pushed."
end
;
;-----------------------------------------------------------------
pro Step_7_Handler, Event
	;
	;	figure out which button was pushed or which listbox issued an event
	;
	buttons = [	"Step_7_F5_Camera_Radio_Button", $
				"Step_7_F17_Camera_Radio_Button", $
				"Step_7_Override_Scaling_Checkbox", $
				"Step_7_Flatten_Images_Pre_Checkbox", $
				"Step_7_Flatten_Images_Post_Checkbox", $
				"Step_7_Checkbox_Gravity", $
				"Step_7_Apply_Illumination_Checkbox", $
				"Step_7_Fix_Bad_Pixels_After_Coadd_Checkbox", $
				"Step_7_Supersky_Checkbox", $
				"Step_7_Save_Supersky_Checkbox",$
				"Step_7_Smooth_Supersky_Checkbox",$
				"Step_7_Box_Width_Textbox",$
				"Step_7_Star_Sky_Checkbox",$
				"Step_7_Mask_R513_Checkbox",$

				"Step_7_Add_Comments_Checkbox", $
				"Step_7_Save_2MASS_Files_Checkbox", $
				;
				"Step_7A_Select_Groups_Listbox", $
				"Step_7A_Add_Group_To_Queue_Button", $
				"Step_7A_Remove_From_Queue_Button", $
				"Step_7A_Start_Single_Group_Coadding_Button", $
				;
				"Step_7B_Select_Meta_Groups_Listbox", $
				"Step_7B_Add_Meta_Group_to_Queue_Button", $
				"Step_7B_Remove_Meta_Group_From_Queue_Button", $
				"Step_7B_Start_Meta_Group_Coadding_Button", $
				;
				"Step_7_Comments_Textbox", $
				"Step_7_Astrom_Override_Checkbox",$
				"Step_7_Clear_History_Button", $
				;
				;	new options
				;
				"Step_7_Fit_Options_Droplist", $
				"Step_7_Use_Step11_Points_Checkbox", $
				"Step_7_SS_Star_Sky_Checkbox", $
				"Step_7_Skip_RC_Flattening_Checkbox", $
				;
				"Step_7_USE_0_Override_Checkbox", $
				"Step_7_Subtract_SS_Radio", $
				"Step_7_Divide_SS_Radio" $
			 ]
			 ;
	wid_button = Event.id
	n_buttons = N_ELEMENTS(buttons)
	button_wids = lonarr(n_buttons)
	for iw = 0, n_buttons-1 do button_wids[iw] = WIDGET_INFO(Event.top, FIND_BY_UNAME=buttons[iw])
	;
	ind = WHERE(button_wids[*] eq wid_button, count)
	if(count ne 0) then begin
		case wid_button of
			button_wids[0]: S7_Camera, Event, 0
			button_wids[1]: S7_Camera, Event, 1
			button_wids[2]: S7_Scaling_option, Event
			button_wids[3]: S7_Toggle_Flatten_Images_Pre, Event
			button_wids[4]: S7_Toggle_Flatten_Images_Post, Event
			button_wids[5]: S7_Toggle_Extended_Mode, Event
			button_wids[6]: S7_Toggle_Star_Mode, Event
			button_wids[7]: S7_Toggle_Fix_Bad_Pixels, Event
			button_wids[8]: S7_Toggle_Star_Mode, Event
			button_wids[9]: S7_Toggle_Save_Supersky, Event
			button_wids[10]: S7_Toggle_Smooth_Supersky, Event
			button_wids[11]: S7_Edit_Box_Width, Event
			button_wids[12]: S7_Toggle_Star_Sky_Mask, Event
			button_wids[13]: S7_Toggle_Mask_R513, Event
			;
			button_wids[14]: S7_Comments_option, Event
			button_wids[15]: S7_Save_2mass_option, Event
			;
			button_wids[16]: S7_Select_groups, Event, 0
			button_wids[17]: S7_Add_groups, Event, 0
			button_wids[18]: S7_Remove_groups, Event, 0
			button_wids[19]: S7_Start_coadding, Event, 0
			;
			button_wids[20]: S7_Select_groups, Event, 1
			button_wids[21]: S7_Add_groups, Event, 1
			button_wids[22]: S7_Remove_groups, Event, 1
			button_wids[23]: S7_Start_coadding, Event, 1
			;
			button_wids[24]: S7_Comments_text, Event
			;
			button_wids[25]: S7_Toggle_Astrom_Override, Event
			button_wids[26]: SAll_Clear_history, Event, 7
			;
			button_wids[27]: S7_Droplist_Select, Event
			button_wids[28]: S7_Toggle_Extended_Mode, Event
			;
			button_wids[29]: S7_Toggle_SS_Star_Mode, Event
			button_wids[30]: S7_Toggle_Skip_RC_Flattening_Mode, Event
			;
			button_wids[31]: S7_Toggle_USE_0_Override, Event
			button_wids[32]: S7_Set_Sub_Div_Mode, Event, 0
			button_wids[33]: S7_Set_Sub_Div_Mode, Event, 1
			;
			else: print_text, Event, "Error - S7 button push not recognized"
	    endcase
	endif else print_text, Event, "No button pushed."
end
;
;-----------------------------------------------------------------
pro Step_8_Handler, Event
	;
	;	figure out which button was pushed or which listbox issued an event
	;
	buttons = [	"Step_8_Show_Groups_Button", $
				"Step_8_Show_Meta_Groups_Button", $
				;
				"Step_8_Select_Groups_Listbox", $
				"Step_8_Add_Groups_Button", $
				"Step_8_Remove_Groups_Button", $
				"Step_8_Start_PSF_Fitting_Button", $
				;
				"Step_8_NSIG_Textbox", $
				"Step_8_NG_Textbox", $
				"Step_8_Use_Deep_Star_List_Checkbox", $
				"Step_8_Save_Residual_Images_Checkbox", $
				"Step_8_Deposit_Into_PHOTCAT_Checkbox", $
				"Step_8_Phot_Only_Checkbox", $
				"Step_8_Flatten_Images_Checkbox", $
				"Step_8_Calibrator_Field_Checkbox",$
				"Step_8_Save_Regions_Checkbox",$
				"Step_8_Clear_History_Button", $
				;
				"Step_8_Save_PSF_Models_Checkbox", $
				"Step_8_Fix_2MASS_Checkbox", $
				"Step_8_2MASS_Textbox" $
			   ]
	wid_button = Event.id
	n_buttons = N_ELEMENTS(buttons)
	button_wids = lonarr(n_buttons)
	for iw = 0, n_buttons-1 do button_wids[iw] = WIDGET_INFO(Event.top, FIND_BY_UNAME=buttons[iw])
	;
	ind = WHERE(button_wids[*] eq wid_button, count)
	if(count ne 0) then begin
		case wid_button of
			button_wids[0]: S8_Select_group_mode, Event, 0
			button_wids[1]: S8_Select_group_mode, Event, 1
			button_wids[2]: S8_Select_groups, Event
			button_wids[3]: S8_Add_groups, Event
			button_wids[4]: S8_Remove_groups, Event
			button_wids[5]: S8_Start_psf_fitting, Event
			;
			button_wids[6]: S8_Modify_textbox, Event, 0
			button_wids[7]: S8_Modify_textbox, Event, 1
			;
			button_wids[8]: S8_Use_deep_star_list, Event
			button_wids[9]: S8_Save_residual_images, Event
			button_wids[10]: S8_Deposit_into_photcat, Event
			button_wids[11]: S8_Phot_only_processing, Event
			button_wids[12]: S8_Toggle_flatten_images, Event
			button_wids[13]: S8_Toggle_calibrator, Event
			button_wids[14]: S8_Toggle_regions, Event
			;
			button_wids[15]: SAll_Clear_history, Event, 8
			button_wids[16]: S8_Toggle_Save_PSF_Models_Mode, Event
			button_wids[17]: S8_Toggle_fix_2MASS_Mode, Event
			button_wids[18]: S8_Modify_textbox, Event, 2
			else: print_text, Event, "Error - S8 button push not recognized"
	    endcase
	endif else print_text, Event, "No button pushed."
end
;
;-----------------------------------------------------------------
pro Step_9_Handler, Event
	;
	;	figure out which button was pushed or which listbox issued an event
	;
	buttons = [	"Step_9_Show_Groups_Button", $
				"Step_9_Show_Meta_Groups_Button", $
				"Step_9_Select_Groups_Listbox", $
				"Step_9_Add_Groups_Button", $
				"Step_9_Remove_Groups_Button", $
				"Step_9_Start_Analysis_Button", $
				;
				"Step_9_Use_Pinst_Correction_Checkbox", $
				"Step_9_PInst_Override_Button", $
				"Step_9_Override_Scale_Checkbox",$
				"Step_9_P_Scale_Textbox",$
				"Step_9_Deposit_Into_POLCAT_Checkbox", $
				"Step_9_Clear_History_Button", $
				"Step_9_Test_Button" $
			   ]
	wid_button = Event.id
	n_buttons = N_ELEMENTS(buttons)
	button_wids = lonarr(n_buttons)
	for iw = 0, n_buttons-1 do button_wids[iw] = WIDGET_INFO(Event.top, FIND_BY_UNAME=buttons[iw])
	;
	ind = WHERE(button_wids[*] eq wid_button, count)
	if(count ne 0) then begin
		case wid_button of
			button_wids[0]: S9_Select_group_mode, Event, 0
			button_wids[1]: S9_Select_group_mode, Event, 1
			button_wids[2]: S9_Select_groups, Event
			button_wids[3]: S9_Add_groups, Event
			button_wids[4]: S9_Remove_groups, Event
			button_wids[5]: S9_Start_analysis, Event
			;
			button_wids[6]: S9_Toggle_pinst, Event
			button_wids[7]: S9_Pinst_override, Event
			button_wids[8]: S9_P_Scale_override, Event
		    button_wids[9]: S9_Modify_textbox, Event
			button_wids[10]: S9_Toggle_polcat, Event
			;
			button_wids[11]: SAll_Clear_history, Event, 9
			button_wids[12]: S9_Test, Event
			else: print_text, Event, "Error - S9 button push not recognized"
	    endcase
	endif else print_text, Event, "No button pushed."
end
;
;-----------------------------------------------------------------
pro Step_10_Handler, Event
	;
	;	figure out which button was pushed or which listbox issued an event
	;
	buttons = [	"Step_10_Select_POLCATS_Button", $
				"Step_10_Compute_P_Inst_Button", $
				"Step_10_Save_Images_Button", $
				"Step_10_Apply_Criteria_Button", $
				"Step_10_Save_Region_File_Checkbox", $
				"Step_10_Cutoff_Textbox", $
				"Step_10_Stars_Per_Grid_Textbox", $
				"Step_10_Boxcar_Size_Textbox", $
				;
				"Step_10_Avoid_Stars_Checkbox", $
				"Step_10_Select_POLCATS_2_Button", $
				"Step_10_High_Pol_Threshold_Textbox", $
				"Step_10_Field_Number_Threshold_Textbox", $
				"Step_10_Find_High_Pol_Stars_Button", $
				"Step_10_Clear_List_Button", $
				"Step_10_Append_List_Button", $
				"Step_10_Create_Select_List_Button", $
				"Step_10_Select_H_RButton", $
				"Step_10_Select_K_RButton",  $
				"Step_10_High_P_Checkbox" $
			   ]
	wid_button = Event.id
	n_buttons = N_ELEMENTS(buttons)
	button_wids = lonarr(n_buttons)
	for iw = 0, n_buttons-1 do button_wids[iw] = WIDGET_INFO(Event.top, FIND_BY_UNAME=buttons[iw])
	;
	ind = WHERE(button_wids[*] eq wid_button, count)
	if(count ne 0) then begin
		case wid_button of
			button_wids[0]: S10_Select_polcats, Event
			button_wids[1]: S10_Compute_p_inst, Event
			button_wids[2]: S10_Save_images, Event
			button_wids[3]: S10_Apply_criteria, Event
			button_wids[4]: S10_Toggle_save_region_file, Event
			button_wids[5]: S10_Change_cutoff, Event
			button_wids[6]: S10_Change_stars_per_grid, Event
			button_wids[7]: S10_Change_boxcar_size, Event
			;
			button_wids[8]: S10_Toggle_avoid_stars, Event
			button_wids[9]: S10_Select_polcats_2, Event
			button_wids[10]: S10_Change_high_pol_threshold, Event
			button_wids[11]: S10_Change_field_number_threshold, Event
			button_wids[12]: S10_Find_high_pol_stars, Event
			button_wids[13]: S10_Clear_or_append_list, 0, Event
			button_wids[14]: S10_Clear_or_append_list, 1, Event
			button_wids[15]: S10_Create_select_list, Event
			;
			button_wids[16]: S10_Select_Band, 'H', Event
			button_wids[17]: S10_Select_Band, 'K', Event
			button_wids[18]: S10_Toggle_High_P, Event
			;
			else: print_text, Event, "Error - S10 button push not recognized"
	    endcase
	endif else print_text, Event, "No button pushed."
end
;
;-----------------------------------------------------------------
pro Step_11_Handler, Event
	;
	;	figure out which button was pushed or which listbox issued an event
	;
	buttons = [	"Step_11_Show_Groups_Button", $
				"Step_11_Show_Meta_Groups_Button", $
				"Step_11_Select_Groups_Listbox", $
				"Step_11_Add_Groups_Button", $
				"Step_11_Remove_Groups_Button", $
				"Step_11_Analyze_Backgrounds_Button",$
				"Step_11_Start_Background_Removal_Button",$
				"Step_11_Skip_Background_Removal_Button",$
				"Step_11_Start_Analysis_Button", $
				"Step_11_Skip_Analysis_Button", $
				;
				"Step_11_Use_Pinst_Correction_Checkbox", $
				"Step_11_PInst_Override_Button", $
				"Step_11_Override_Scale_Checkbox",$
				"Step_11_P_Scale_Textbox",$
				"Step_11_Clear_History_Button", $
				"Step_11_Test_Button" $
			   ]
	wid_button = Event.id
	n_buttons = N_ELEMENTS(buttons)
	button_wids = lonarr(n_buttons)
	for iw = 0, n_buttons-1 do button_wids[iw] = WIDGET_INFO(Event.top, FIND_BY_UNAME=buttons[iw])
	;
	ind = WHERE(button_wids[*] eq wid_button, count)
	if(count ne 0) then begin
		case wid_button of
			button_wids[0]: S11_Select_group_mode, Event, 0
			button_wids[1]: S11_Select_group_mode, Event, 1
			button_wids[2]: S11_Select_groups, Event
			button_wids[3]: S11_Add_groups, Event
			button_wids[4]: S11_Remove_groups, Event
			button_wids[5]: S11_Find_backgrounds, Event
			button_wids[6]: S11_Start_background_removal, Event
			button_wids[7]: S11_Skip_background_removal, Event
			button_wids[8]: S11_Start_analysis, Event
			button_wids[9]: S11_Skip_analysis, Event
			;
			button_wids[10]: S11_Toggle_pinst, Event
			button_wids[11]: S11_Pinst_override, Event
			button_wids[12]: S11_P_Scale_override, Event
		    button_wids[13]: S11_Modify_textbox, Event
			;
			button_wids[14]: SAll_Clear_history, Event, 11
			button_wids[15]: S11_Test, Event
			else: print_text, Event, "Error - S11 button push not recognized"
	    endcase
	endif else print_text, Event, "No button pushed."
end
;----------------------------------------------------------
pro SAll_Clear_history, Event, tab_no
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	h_ptr = PTR_struct.PTR_history
	w_ptr = PTR_struct.PTR_wid_id
	;
	;	clears history buffer for the indicated tab
	;
	if(tab_no ge 0 and tab_no le 11) then begin
		(*h_ptr).history_buffer[tab_no,*] = ''
		(*h_ptr).n_history[tab_no] = 0
		;
		print_text, Event, "Clearing History for tab "+STRING(tab_no, format='(I)')
	endif else begin
		print_text, Event, "Warning - selected ClearHistory for illegal tab no = "+STRING(tab_no, format='(I)')
	endelse
	case tab_no of
		2: 	wid = (*w_ptr).S2_history_textbox_wid
		3:	wid = (*w_ptr).S3_history_textbox_wid
		4:	wid = (*w_ptr).S4_history_textbox_wid
		5:	wid = (*w_ptr).S5_history_textbox_wid
		6:	wid = (*w_ptr).S6_history_textbox_wid
		7:	wid = (*w_ptr).S7_history_textbox_wid
		8:	wid = (*w_ptr).S8_history_textbox_wid
		9:	wid = (*w_ptr).S9_history_textbox_wid
		11: wid = (*w_ptr).S11_history_textbox_wid
	endcase
	SAll_populate_history, Event, wid, tab_no
end
;
;-----------------------------------------------------------
pro SAll_add_to_history, Event, wid, tab_no, str
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	h_ptr = PTR_struct.PTR_history
	;
	;	adds a line of history to the indicated buffer, pushing down if necessary
	;
	;print_text, Event, "Arrived in SAll_add_to_history with tab_no = "+STRING(tab_no,format='(I)')
	;
	if(tab_no ge 0 and tab_no le 11) then begin
		n_this = (*h_ptr).n_history[tab_no]
		if(n_this lt (*h_ptr).max_lines) then begin
			;print_text, Event, "adding new info to history. str = "+str
			(*h_ptr).n_history[tab_no]++
			(*h_ptr).history_buffer[tab_no,n_this] = STRTRIM(str,2)
		endif else begin
			print_text, Event, "history at max lines, bumping down"
			;
			;	at max lines, push down first
			;
			for il = 1, (*h_ptr).max_lines-1 do begin
				(*h_ptr).history_buffer[tab_no,il-1] = (*h_ptr).history_buffer[tab_no,il]
			endfor
			(*h_ptr).history_buffer[tab_no,(*h_ptr).max_lines-1] = STRTRIM(str,2)
		endelse
		SAll_populate_history, Event, wid, tab_no
	endif
end
;
;----------------------------------------------------------
pro SAll_populate_history, Event, wid, tab_no
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	h_ptr = PTR_struct.PTR_history
	;
	;print_text, Event, "Arrived in SAll_populate_history with wid, tab_no = "+STRING(wid,tab_no,format='(I,1x,I)')
	;
	;print_text, Event, "
	;
	if(tab_no ge 0 and tab_no le 11) then begin
		;
		if( (*h_ptr).n_history[tab_no] gt 0) then begin
			n_lines = (*h_ptr).n_history[tab_no]
			;
			;	rewrite buffer
			;
			WIDGET_CONTROL, wid, SET_VALUE=''
			;
			;	then append all
			;
			if(n_lines gt 1) then begin
				lines = (*h_ptr).history_buffer[tab_no, 0:n_lines-2]
				WIDGET_CONTROL, wid, SET_VALUE=lines, /APPEND
			endif
			;
			; write last line
			;
			WIDGET_CONTROL, wid, SET_VALUE=(*h_ptr).history_buffer[tab_no, n_lines-1], /APPEND
			;
			;	and position decently
			;
			ipos = 0 > (n_lines-2)
			WIDGET_CONTROL, wid, SET_TEXT_TOP_LINE=ipos
			;
		endif else begin
			this_value = "... empty history buffer ..."
			WIDGET_CONTROL, wid, SET_VALUE=this_value
			;
			;	but, don't update counter
			;
		endelse
	endif
end
;
;-----------------------------------------------------------
pro Tab_Handler, Event
	;
	;	what to do when arriving at a tab
	;
	current_tab = Event.tab
	;
	PPOL_Tab_Init, Event, current_tab
	;
end
;
;-------------------------------
pro PPOL_Tab_Init, Event, current_tab
	;
	;	when we arrive at a tab, save group file, populate listboxes and/or set radio buttons and value
	;
	;	20161231 - turned off saving of group file, as this is done upon exiting each step anyway
	;
	case current_tab of
		0:	begin print_text, Event, "Step 0 - Summary and Directory Selection"
			end
		1:  begin print_text, Event, "Step 1 - Select Images to Group"
		;			MSP_PPOL_Save_Group_File, Event
					S1_Init, Event
			end
		2:  begin print_text, Event, "Step 2 - Ski Jump Detection and Repair"
		;			MSP_PPOL_Save_Group_File, Event
					S2_Init, Event
			end
		3:	begin print_text, Event, "Step 3 - Astrometry"
		;			MSP_PPOL_Save_Group_File, Event
					S3_Init, Event
			end
		4:  begin print_text, Event, "Step 4 - Initial PSF fitting"
		;			MSP_PPOL_Save_Group_File, Event
					S4_Init, Event
			end
		5:  begin print_text, Event, "Step 5 - Stellar Matching between Images"
		;			MSP_PPOL_Save_Group_File, Event
					S5_Init, Event
			end
		6:  begin print_text, Event, "Step 6 - Atmospheric Scaling & Meta-Group Creation"
		;			MSP_PPOL_Save_Group_File, Event
					S6_Init, Event
			end
		7:	begin print_text, Event, "Step 7 - Coadding"
		;			MSP_PPOL_Save_Group_File, Event
					S7_Init, Event
			end
		8:	begin print_text, Event, "Step 8 - Deep PSF fitting"
		;			MSP_PPOL_Save_Group_File, Event
					S8_Init, Event
			end
		9:	begin print_text, Event, "Step 9 - Polarimetric Analysis"
		;			MSP_PPOL_Save_Group_File, Event
					S9_Init, Event
			end
		10: begin print_text, Event, "Step 10 - Compute Instrumental Polarization"
		;			MSP_PPOL_Save_Group_File, Event
					S10_Init, Event
			end
		11: begin print_text, Event, "Step 11 - Full-Frame Polarization Analysis"
		;			MSP_PPOL_Save_Group_File, Event
					S11_Init, Event
			end
		else: begin print_text, Event, "Tab not recognized - try again."
			  end
	endcase
	;
end
;
;-----------------------------------------------------------------
pro Step_6_Tab_Handler, Event
	S6_Tab_Handler, Event
end
;
;-----------------------------------------------------------------
pro Step_7_Tab_Handler, Event
	S7_Tab_Handler, Event
end
;
;-----------------------------------------------------------------
pro Step_7_Options_Tab_Handler, Event
	S7_Options_Tab_Handler, Event
end
;
;-----------------------------------------------------------------
pro Step_1_Tab_Handler, Event
	print_text, Event, "Got into Step_1_Tab_Handler routine with Event.tab = "+STRING(Event.tab,format='(I6)')
	S1_Tab_Handler, Event
end

;-----------------------------------------------------------------
pro Step_1A_Tab_Handler, Event
	print_text, Event, "Got into Step_1A_Tab_Handler routine with Event.tab = "+STRING(Event.tab,format='(I6)')
	S1A_Tab_Handler, Event
end
