function S7_get_supersky_image, Event, group_name, hwp
;
;	goes out to disk to fetch and return the desired
;	supersky image (already computed).
;
;	DPC	20100601
;
WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
s_ptr = PTR_struct.PTR_summary
w_ptr = PTR_struct.PTR_wid_id
g_ptr = PTR_struct.PTR_group											; * FWHM = pixels for median filtering
;
;	create supersky directory path
;
ss_dir = (*s_ptr).analysis_dir + 'S7_Coadding' + PATH_SEP() + 'Supersky_Images' + PATH_SEP()
;
;	and full file name
;
ss_path = ss_dir + 'Supersky_' + STRTRIM(group_name) + '_HWP_' + STRING(hwp,format='(I2.2)') + '.fits'
;
print, 'ss_path = ', ss_path
stop
;
image = readfits(ss_path, /silent)
;
return, image
end