pro fetch_use_flag_count, Event, group_name, nbad
;
;	looks to the image list for the designated group
;	and returns the count of images for which the use
;	flag has been set to 0
;
;	DPC		20090604 	initial code
;
WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_Struct
d_ptr = PTR_Struct.PTR_Data
s_ptr = PTR_Struct.PTR_summary
g_ptr = PTR_struct.PTR_group
;
;	first, find the first occurance of the indicated group
;
ind_g = WHERE(group_name eq (*g_ptr).group_names, nmatch)
if(nmatch eq 0) then begin
	nbad = 0
	goto, get_back
endif
ind_g = ind_g[0]
;
;	next, get number of images in this group
;
n_in_group = (*g_ptr).group_numbers[ind_g]
;
;	and finally, count the number of zeroed use flags
;
ind_zero = WHERE( (*g_ptr).group_image_flags[ind_g,0:(n_in_group - 1)] eq 0, nbad)
;
get_back:
;
end