function load_star_list, index, database, nstars_vec
;
;	loads the stellar data from the database for file index into
;	the list file format
;
nmax = nstars_vec[index]
;
list = dblarr(30,nmax)
;
for i = 0, nmax-1 do begin
	list[0,i] = database[index, i].ra
	list[1,i] = database[index, i].dec
	list[2,i] = database[index, i].mag[6]		; the special one
	list[3,i] = database[index, i].errmag[6]	; used for matching
	list[4,i] = database[index, i].x
	list[5,i] = database[index, i].y
	;
	;	magnitudes, then uncertainties of all
	;
	list[6,i] = database[index, i].mag[0]
	list[7,i] = database[index, i].errmag[0]
	list[8,i] = database[index, i].mag[1]
	list[9,i] = database[index, i].errmag[1]
	list[10,i] = database[index, i].mag[2]
	list[11,i] = database[index, i].errmag[2]
	list[12,i] = database[index, i].mag[3]
	list[13,i] = database[index, i].errmag[3]
	list[14,i] = database[index, i].mag[4]
	list[15,i] = database[index, i].errmag[4]
	list[16,i] = database[index, i].mag[5]
	list[17,i] = database[index, i].errmag[5]
	list[18,i] = database[index, i].mag[6]
	list[19,i] = database[index, i].errmag[6]
	list[20,i] = database[index, i].mag[7]
	list[21,i] = database[index, i].errmag[7]
	list[22,i] = database[index, i].mag[8]
	list[23,i] = database[index, i].errmag[8]
	list[24,i] = database[index, i].mag[9]
	list[25,i] = database[index, i].errmag[9]
	list[26,i] = database[index, i].mag[10]
	list[27,i] = database[index, i].errmag[10]
	list[28,i] = database[index, i].mag[11]
	list[29,i] = database[index, i].errmag[11]
endfor
;
return, list
end

