function load_star_list_for_meta, index, database, nstars_vec
;
;	loads the stellar data from the database for file index into
;	the list file format
;
nmax = nstars_vec[index]
;
list = dblarr(6,nmax)
;
for i = 0, nmax-1 do begin
	list[0,i] = database[index, i].ra
	list[1,i] = database[index, i].dec
	list[2,i] = database[index, i].mag		; the special one
	list[3,i] = database[index, i].errmag	; used for matching
	list[4,i] = database[index, i].x
	list[5,i] = database[index, i].y
endfor
;
return, list
end

