pro repair_group_save_file
;
;	fixes the pathnames in the group save file
;
;	esp for going from Linux to Windows file pathnames
;
;	DPC	20130326
;
restore, filename=dialog_pickfile(Title="Select Group Save File"), description=description
;
print, 'restored group file with description = ',description
;
;	for every group
;
ng = (*g_ptr).n_groups
;
for ig = 0, ng-1 do begin
	;
	;	for every image in this group
	;
	n_image = (*g_ptr).group_numbers[ig]
	;
	print, 'Group ',ig,' has ',n_image,' image pathnames to fix'
	;
	for ii = 0, n_image-1 do begin
		;
		this_path = (*g_ptr).group_images[ig,ii]
		;
		;	find all '/' instances
		;
		parts = strsplit(this_path,'/',/extract,COUNT=count)
		;
		;	rebuild from windows
		;
		new_path = 'Y:'
		for k = 1, count-1 do begin
			new_path += '\'
			new_path += parts[k]
		endfor
		;
;		print, 'old_path = ',this_path
;		print, 'new_path = ',new_path
		;
		;	save
		;
		(*g_ptr).group_images[ig,ii] = new_path
	endfor
endfor
;
;	rewrite save file
;
SAVE, g_ptr, filename=dialog_pickfile(Title="New Group Save File"), description=description
;
print, 'Done!'
end